local _, addon = ...;
local data = addon.Data;
data.ExportedPetBattles = {};
local exportedPetBattles = data.ExportedPetBattles;
local objects = addon.Objects;
local menItm = objects.MenuItem;
local url = "https://www.wow-petguide.com/";

local tmpObjects = {};
local tasks, rightClickMenuExtras;
function exportedPetBattles.RegisterTasks(_rightClickMenuExtras)
    rightClickMenuExtras = _rightClickMenuExtras;
    wipe(rightClickMenuExtras);

    local name = "Pet Battle Links";
    data.InjectLoadingDebug(tasks, name);

    tinsert(data.TasksGroups, 1, tasks);
end

function exportedPetBattles.Load()
    tmpObjects = nil;
end

local function N(id, ...)
    rightClickMenuExtras[id] = menItm:NewExtLink(...);
end

local function E(id, ...)
    rightClickMenuExtras[id]:AddExtLinkFull(...);
end

local function EwT(tmpId, ...)
    tmpObjects[tmpId]:AddExtLinkFull(...);
end

local function C(id, ...)
    rightClickMenuExtras[id]:AddCritExtLinkFull(id, ...);
end

local function CwT(tmpId, ...)
    tmpObjects[tmpId]:AddCritExtLinkFull(...);
end

local function T(tmpId, id, ...)
    tmpObjects[tmpId] = rightClickMenuExtras[id]:AddCritExtLinkFull(id, ...);
end

-- [[ Everything after these lines is automatically generated as an export from ]] --
-- [[ an SQLite database and is not meant for manual edit. - AUTOGENTOKEN ]] --

-- [[ Exported at 2023-09-03 17-01-48 ]] --
tasks = {
    {CwT, 1016, 17918, 4, url .. "Encounter/1545"},
    {CwT, 1016, 17918, 3, url .. "Encounter/1544"},
    {CwT, 1016, 17918, 2, url .. "Encounter/1543"},
    {CwT, 1016, 17918, 1, url .. "Encounter/1542"},
    {T, 1016, 17934, 10, url .. "Encounter/1542"},
    {CwT, 1015, 17917, 4, url .. "Encounter/1569"},
    {CwT, 1015, 17917, 3, url .. "Encounter/1568"},
    {CwT, 1015, 17917, 2, url .. "Encounter/1567"},
    {CwT, 1015, 17917, 1, url .. "Encounter/1566"},
    {T, 1015, 17934, 9, url .. "Encounter/1566"},
    {CwT, 1014, 17916, 4, url .. "Encounter/1553"},
    {CwT, 1014, 17916, 3, url .. "Encounter/1552"},
    {CwT, 1014, 17916, 2, url .. "Encounter/1551"},
    {CwT, 1014, 17916, 1, url .. "Encounter/1550"},
    {T, 1014, 17934, 8, url .. "Encounter/1550"},
    {CwT, 1013, 17915, 4, url .. "Encounter/1533"},
    {CwT, 1013, 17915, 3, url .. "Encounter/1532"},
    {CwT, 1013, 17915, 2, url .. "Encounter/1531"},
    {CwT, 1013, 17915, 1, url .. "Encounter/1530"},
    {T, 1013, 17934, 7, url .. "Encounter/1530"},
    {CwT, 1012, 17905, 4, url .. "Encounter/1541"},
    {CwT, 1012, 17905, 3, url .. "Encounter/1540"},
    {CwT, 1012, 17905, 2, url .. "Encounter/1539"},
    {CwT, 1012, 17905, 1, url .. "Encounter/1538"},
    {T, 1012, 17934, 6, url .. "Encounter/1538"},
    {CwT, 1011, 17904, 4, url .. "Encounter/1557"},
    {CwT, 1011, 17904, 3, url .. "Encounter/1556"},
    {CwT, 1011, 17904, 2, url .. "Encounter/1555"},
    {CwT, 1011, 17904, 1, url .. "Encounter/1554"},
    {T, 1011, 17934, 5, url .. "Encounter/1554"},
    {CwT, 1010, 17890, 4, url .. "Encounter/1537"},
    {CwT, 1010, 17890, 3, url .. "Encounter/1536"},
    {CwT, 1010, 17890, 2, url .. "Encounter/1535"},
    {CwT, 1010, 17890, 1, url .. "Encounter/1534"},
    {T, 1010, 17934, 4, url .. "Encounter/1534"},
    {CwT, 1009, 17883, 4, url .. "Encounter/1549"},
    {CwT, 1009, 17883, 3, url .. "Encounter/1548"},
    {CwT, 1009, 17883, 2, url .. "Encounter/1547"},
    {CwT, 1009, 17883, 1, url .. "Encounter/1546"},
    {T, 1009, 17934, 3, url .. "Encounter/1546"},
    {CwT, 1008, 17882, 4, url .. "Encounter/1561"},
    {CwT, 1008, 17882, 3, url .. "Encounter/1560"},
    {CwT, 1008, 17882, 2, url .. "Encounter/1559"},
    {CwT, 1008, 17882, 1, url .. "Encounter/1558"},
    {T, 1008, 17934, 2, url .. "Encounter/1558"},
    {CwT, 1007, 17881, 4, url .. "Encounter/1565"},
    {CwT, 1007, 17881, 3, url .. "Encounter/1564"},
    {CwT, 1007, 17881, 2, url .. "Encounter/1563"},
    {CwT, 1007, 17881, 1, url .. "Encounter/1562"},
    {T, 1007, 17934, 1, url .. "Encounter/1562"},
    {N, 17934, addon.L["Xu-Fu's Pet Guides"], url .. "Section/100"}, -- Family Battler of Zaralek Cavern
    {C, 17918, 4, url .. "Encounter/1545"},
    {C, 17918, 3, url .. "Encounter/1544"},
    {C, 17918, 2, url .. "Encounter/1543"},
    {C, 17918, 1, url .. "Encounter/1542"},
    {N, 17918, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1542"}, -- Undead Battler of Zaralek Caverm
    {C, 17917, 4, url .. "Encounter/1569"},
    {C, 17917, 3, url .. "Encounter/1568"},
    {C, 17917, 2, url .. "Encounter/1567"},
    {C, 17917, 1, url .. "Encounter/1566"},
    {N, 17917, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1566"}, -- Mechanical Battler of Zaralek Cavern
    {C, 17916, 4, url .. "Encounter/1553"},
    {C, 17916, 3, url .. "Encounter/1552"},
    {C, 17916, 2, url .. "Encounter/1551"},
    {C, 17916, 1, url .. "Encounter/1550"},
    {N, 17916, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1550"}, -- Magic Battler of Zaralek Cavern
    {C, 17915, 4, url .. "Encounter/1533"},
    {C, 17915, 3, url .. "Encounter/1532"},
    {C, 17915, 2, url .. "Encounter/1531"},
    {C, 17915, 1, url .. "Encounter/1530"},
    {N, 17915, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1530"}, -- Humanoid Battler of Zaralek Cavern
    {C, 17905, 4, url .. "Encounter/1541"},
    {C, 17905, 3, url .. "Encounter/1540"},
    {C, 17905, 2, url .. "Encounter/1539"},
    {C, 17905, 1, url .. "Encounter/1538"},
    {N, 17905, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1538"}, -- Flying Battler of Zaralek Cavern
    {C, 17904, 4, url .. "Encounter/1557"},
    {C, 17904, 3, url .. "Encounter/1556"},
    {C, 17904, 2, url .. "Encounter/1555"},
    {C, 17904, 1, url .. "Encounter/1554"},
    {N, 17904, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1554"}, -- Elemental Battler of Zaralek Cavern
    {C, 17890, 4, url .. "Encounter/1537"},
    {C, 17890, 3, url .. "Encounter/1536"},
    {C, 17890, 2, url .. "Encounter/1535"},
    {C, 17890, 1, url .. "Encounter/1534"},
    {N, 17890, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1534"}, -- Dragonkin Battler of Zaralek Cavern
    {C, 17883, 4, url .. "Encounter/1549"},
    {C, 17883, 3, url .. "Encounter/1548"},
    {C, 17883, 2, url .. "Encounter/1547"},
    {C, 17883, 1, url .. "Encounter/1546"},
    {N, 17883, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1546"}, -- Critter Battler of Zaralek Cavern
    {C, 17882, 4, url .. "Encounter/1561"},
    {C, 17882, 3, url .. "Encounter/1560"},
    {C, 17882, 2, url .. "Encounter/1559"},
    {C, 17882, 1, url .. "Encounter/1558"},
    {N, 17882, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1558"}, -- Beast Battler of Zaralek Cavern
    {C, 17881, 4, url .. "Encounter/1565"},
    {C, 17881, 3, url .. "Encounter/1564"},
    {C, 17881, 2, url .. "Encounter/1563"},
    {C, 17881, 1, url .. "Encounter/1562"},
    {N, 17881, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1562"}, -- Aquatic Battler of Zaralek Cavern
    {C, 17880, 4, url .. "Encounter/1529"},
    {C, 17880, 3, url .. "Encounter/1528"},
    {C, 17880, 2, url .. "Encounter/1527"},
    {C, 17880, 1, url .. "Encounter/1526"},
    {N, 17880, addon.L["Xu-Fu's Pet Guides"], url .. "Section/97"}, -- Battle in Zaralek Cavern
    {C, 17541, 4, url .. "Encounter/1518"},
    {C, 17541, 3, url .. "Encounter/1510"},
    {C, 17541, 2, url .. "Encounter/1514"},
    {C, 17541, 1, url .. "Encounter/1506"},
    {N, 17541, addon.L["Xu-Fu's Pet Guides"], url .. "Section/99"}, -- Global Swarming
    {C, 17406, 8, url .. "Encounter/1503"},
    {C, 17406, 7, url .. "Encounter/1501"},
    {C, 17406, 6, url .. "Encounter/1499"},
    {C, 17406, 5, url .. "Encounter/1497"},
    {C, 17406, 4, url .. "Encounter/1504"},
    {C, 17406, 3, url .. "Encounter/1502"},
    {C, 17406, 2, url .. "Encounter/1500"},
    {C, 17406, 1, url .. "Encounter/1498"},
    {N, 17406, addon.L["Xu-Fu's Pet Guides"], url .. "Section/97"}, -- Battle on the Dragon Isles II
    {CwT, 985, 16511, 8, url .. "Encounter/1414"},
    {CwT, 985, 16511, 7, url .. "Encounter/1418"},
    {CwT, 985, 16511, 6, url .. "Encounter/1423"},
    {CwT, 985, 16511, 5, url .. "Encounter/1420"},
    {CwT, 985, 16511, 4, url .. "Encounter/1415"},
    {CwT, 985, 16511, 3, url .. "Encounter/1424"},
    {CwT, 985, 16511, 2, url .. "Encounter/1417"},
    {CwT, 985, 16511, 1, url .. "Encounter/1421"},
    {T, 985, 16512, 10, url .. "Encounter/1414"},
    {CwT, 984, 16510, 8, url .. "Encounter/1486"},
    {CwT, 984, 16510, 7, url .. "Encounter/1490"},
    {CwT, 984, 16510, 6, url .. "Encounter/1495"},
    {CwT, 984, 16510, 5, url .. "Encounter/1492"},
    {CwT, 984, 16510, 4, url .. "Encounter/1487"},
    {CwT, 984, 16510, 3, url .. "Encounter/1496"},
    {CwT, 984, 16510, 2, url .. "Encounter/1489"},
    {CwT, 984, 16510, 1, url .. "Encounter/1493"},
    {T, 984, 16512, 9, url .. "Encounter/1486"},
    {CwT, 983, 16509, 8, url .. "Encounter/1438"},
    {CwT, 983, 16509, 7, url .. "Encounter/1442"},
    {CwT, 983, 16509, 6, url .. "Encounter/1447"},
    {CwT, 983, 16509, 5, url .. "Encounter/1444"},
    {CwT, 983, 16509, 4, url .. "Encounter/1439"},
    {CwT, 983, 16509, 3, url .. "Encounter/1448"},
    {CwT, 983, 16509, 2, url .. "Encounter/1441"},
    {CwT, 983, 16509, 1, url .. "Encounter/1445"},
    {T, 983, 16512, 8, url .. "Encounter/1438"},
    {CwT, 982, 16508, 8, url .. "Encounter/1378"},
    {CwT, 982, 16508, 7, url .. "Encounter/1382"},
    {CwT, 982, 16508, 6, url .. "Encounter/1387"},
    {CwT, 982, 16508, 5, url .. "Encounter/1384"},
    {CwT, 982, 16508, 4, url .. "Encounter/1379"},
    {CwT, 982, 16508, 3, url .. "Encounter/1388"},
    {CwT, 982, 16508, 2, url .. "Encounter/1381"},
    {CwT, 982, 16508, 1, url .. "Encounter/1385"},
    {T, 982, 16512, 7, url .. "Encounter/1378"},
    {CwT, 973, 16507, 8, url .. "Encounter/1402"},
    {CwT, 973, 16507, 7, url .. "Encounter/1406"},
    {CwT, 973, 16507, 6, url .. "Encounter/1411"},
    {CwT, 973, 16507, 5, url .. "Encounter/1408"},
    {CwT, 973, 16507, 4, url .. "Encounter/1403"},
    {CwT, 973, 16507, 3, url .. "Encounter/1412"},
    {CwT, 973, 16507, 2, url .. "Encounter/1405"},
    {CwT, 973, 16507, 1, url .. "Encounter/1409"},
    {T, 973, 16512, 6, url .. "Encounter/1402"},
    {CwT, 964, 16506, 8, url .. "Encounter/1450"},
    {CwT, 964, 16506, 7, url .. "Encounter/1454"},
    {CwT, 964, 16506, 6, url .. "Encounter/1459"},
    {CwT, 964, 16506, 5, url .. "Encounter/1456"},
    {CwT, 964, 16506, 4, url .. "Encounter/1451"},
    {CwT, 964, 16506, 3, url .. "Encounter/1460"},
    {CwT, 964, 16506, 2, url .. "Encounter/1453"},
    {CwT, 964, 16506, 1, url .. "Encounter/1457"},
    {T, 964, 16512, 5, url .. "Encounter/1450"},
    {CwT, 955, 16505, 8, url .. "Encounter/1390"},
    {CwT, 955, 16505, 7, url .. "Encounter/1394"},
    {CwT, 955, 16505, 6, url .. "Encounter/1399"},
    {CwT, 955, 16505, 5, url .. "Encounter/1396"},
    {CwT, 955, 16505, 4, url .. "Encounter/1391"},
    {CwT, 955, 16505, 3, url .. "Encounter/1400"},
    {CwT, 955, 16505, 2, url .. "Encounter/1393"},
    {CwT, 955, 16505, 1, url .. "Encounter/1397"},
    {T, 955, 16512, 4, url .. "Encounter/1390"},
    {CwT, 946, 16504, 8, url .. "Encounter/1426"},
    {CwT, 946, 16504, 7, url .. "Encounter/1430"},
    {CwT, 946, 16504, 6, url .. "Encounter/1435"},
    {CwT, 946, 16504, 5, url .. "Encounter/1432"},
    {CwT, 946, 16504, 4, url .. "Encounter/1427"},
    {CwT, 946, 16504, 3, url .. "Encounter/1436"},
    {CwT, 946, 16504, 2, url .. "Encounter/1429"},
    {CwT, 946, 16504, 1, url .. "Encounter/1433"},
    {T, 946, 16512, 3, url .. "Encounter/1426"},
    {CwT, 937, 16503, 8, url .. "Encounter/1462"},
    {CwT, 937, 16503, 7, url .. "Encounter/1466"},
    {CwT, 937, 16503, 6, url .. "Encounter/1471"},
    {CwT, 937, 16503, 5, url .. "Encounter/1468"},
    {CwT, 937, 16503, 4, url .. "Encounter/1463"},
    {CwT, 937, 16503, 3, url .. "Encounter/1472"},
    {CwT, 937, 16503, 2, url .. "Encounter/1465"},
    {CwT, 937, 16503, 1, url .. "Encounter/1469"},
    {T, 937, 16512, 2, url .. "Encounter/1462"},
    {CwT, 928, 16501, 8, url .. "Encounter/1474"},
    {CwT, 928, 16501, 7, url .. "Encounter/1478"},
    {CwT, 928, 16501, 6, url .. "Encounter/1483"},
    {CwT, 928, 16501, 5, url .. "Encounter/1480"},
    {CwT, 928, 16501, 4, url .. "Encounter/1475"},
    {CwT, 928, 16501, 3, url .. "Encounter/1484"},
    {CwT, 928, 16501, 2, url .. "Encounter/1477"},
    {CwT, 928, 16501, 1, url .. "Encounter/1481"},
    {T, 928, 16512, 1, url .. "Encounter/1474"},
    {N, 16512, addon.L["Xu-Fu's Pet Guides"], url .. "Section/98"}, -- Family Battler of the Dragon Isles
    {C, 16511, 8, url .. "Encounter/1414"},
    {C, 16511, 7, url .. "Encounter/1418"},
    {C, 16511, 6, url .. "Encounter/1423"},
    {C, 16511, 5, url .. "Encounter/1420"},
    {C, 16511, 4, url .. "Encounter/1415"},
    {C, 16511, 3, url .. "Encounter/1424"},
    {C, 16511, 2, url .. "Encounter/1417"},
    {C, 16511, 1, url .. "Encounter/1421"},
    {N, 16511, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1414"}, -- Undead Battler of the Dragon Isles
    {C, 16510, 8, url .. "Encounter/1486"},
    {C, 16510, 7, url .. "Encounter/1490"},
    {C, 16510, 6, url .. "Encounter/1495"},
    {C, 16510, 5, url .. "Encounter/1492"},
    {C, 16510, 4, url .. "Encounter/1487"},
    {C, 16510, 3, url .. "Encounter/1496"},
    {C, 16510, 2, url .. "Encounter/1489"},
    {C, 16510, 1, url .. "Encounter/1493"},
    {N, 16510, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1486"}, -- Mechanical Battler of the Dragon Isles
    {C, 16509, 8, url .. "Encounter/1438"},
    {C, 16509, 7, url .. "Encounter/1442"},
    {C, 16509, 6, url .. "Encounter/1447"},
    {C, 16509, 5, url .. "Encounter/1444"},
    {C, 16509, 4, url .. "Encounter/1439"},
    {C, 16509, 3, url .. "Encounter/1448"},
    {C, 16509, 2, url .. "Encounter/1441"},
    {C, 16509, 1, url .. "Encounter/1445"},
    {N, 16509, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1438"}, -- Magic Battler of the Dragon Isles
    {C, 16508, 8, url .. "Encounter/1378"},
    {C, 16508, 7, url .. "Encounter/1382"},
    {C, 16508, 6, url .. "Encounter/1387"},
    {C, 16508, 5, url .. "Encounter/1384"},
    {C, 16508, 4, url .. "Encounter/1379"},
    {C, 16508, 3, url .. "Encounter/1388"},
    {C, 16508, 2, url .. "Encounter/1381"},
    {C, 16508, 1, url .. "Encounter/1385"},
    {N, 16508, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1378"}, -- Humanoid Battler of the Dragon Isles
    {C, 16507, 8, url .. "Encounter/1402"},
    {C, 16507, 7, url .. "Encounter/1406"},
    {C, 16507, 6, url .. "Encounter/1411"},
    {C, 16507, 5, url .. "Encounter/1408"},
    {C, 16507, 4, url .. "Encounter/1403"},
    {C, 16507, 3, url .. "Encounter/1412"},
    {C, 16507, 2, url .. "Encounter/1405"},
    {C, 16507, 1, url .. "Encounter/1409"},
    {N, 16507, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1402"}, -- Flying Battler of the Dragon Isles
    {C, 16506, 8, url .. "Encounter/1450"},
    {C, 16506, 7, url .. "Encounter/1454"},
    {C, 16506, 6, url .. "Encounter/1459"},
    {C, 16506, 5, url .. "Encounter/1456"},
    {C, 16506, 4, url .. "Encounter/1451"},
    {C, 16506, 3, url .. "Encounter/1460"},
    {C, 16506, 2, url .. "Encounter/1453"},
    {C, 16506, 1, url .. "Encounter/1457"},
    {N, 16506, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1450"}, -- Elemental Battler of the Dragon Isles
    {C, 16505, 8, url .. "Encounter/1390"},
    {C, 16505, 7, url .. "Encounter/1394"},
    {C, 16505, 6, url .. "Encounter/1399"},
    {C, 16505, 5, url .. "Encounter/1396"},
    {C, 16505, 4, url .. "Encounter/1391"},
    {C, 16505, 3, url .. "Encounter/1400"},
    {C, 16505, 2, url .. "Encounter/1393"},
    {C, 16505, 1, url .. "Encounter/1397"},
    {N, 16505, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1390"}, -- Dragonkin Battler of the Dragon Isles
    {C, 16504, 8, url .. "Encounter/1426"},
    {C, 16504, 7, url .. "Encounter/1430"},
    {C, 16504, 6, url .. "Encounter/1435"},
    {C, 16504, 5, url .. "Encounter/1432"},
    {C, 16504, 4, url .. "Encounter/1427"},
    {C, 16504, 3, url .. "Encounter/1436"},
    {C, 16504, 2, url .. "Encounter/1429"},
    {C, 16504, 1, url .. "Encounter/1433"},
    {N, 16504, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1426"}, -- Critter Battler of the Dragon Isles
    {C, 16503, 8, url .. "Encounter/1462"},
    {C, 16503, 7, url .. "Encounter/1466"},
    {C, 16503, 6, url .. "Encounter/1471"},
    {C, 16503, 5, url .. "Encounter/1468"},
    {C, 16503, 4, url .. "Encounter/1463"},
    {C, 16503, 3, url .. "Encounter/1472"},
    {C, 16503, 2, url .. "Encounter/1465"},
    {C, 16503, 1, url .. "Encounter/1469"},
    {N, 16503, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1462"}, -- Beast Battler of the Dragon Isles
    {C, 16501, 8, url .. "Encounter/1474"},
    {C, 16501, 7, url .. "Encounter/1478"},
    {C, 16501, 6, url .. "Encounter/1483"},
    {C, 16501, 5, url .. "Encounter/1480"},
    {C, 16501, 4, url .. "Encounter/1475"},
    {C, 16501, 3, url .. "Encounter/1484"},
    {C, 16501, 2, url .. "Encounter/1477"},
    {C, 16501, 1, url .. "Encounter/1481"},
    {N, 16501, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1474"}, -- Aquatic Battler of the Dragon Isles
    {C, 16464, 8, url .. "Encounter/1375"},
    {C, 16464, 7, url .. "Encounter/1369"},
    {C, 16464, 6, url .. "Encounter/1367"},
    {C, 16464, 5, url .. "Encounter/1376"},
    {C, 16464, 4, url .. "Encounter/1372"},
    {C, 16464, 3, url .. "Encounter/1366"},
    {C, 16464, 2, url .. "Encounter/1373"},
    {C, 16464, 1, url .. "Encounter/1370"},
    {N, 16464, addon.L["Xu-Fu's Pet Guides"], url .. "Section/97"}, -- Battle on the Dragon Isles
    {C, 14881, 10, url .. "Encounter/1203"},
    {C, 14881, 9, url .. "Encounter/1201"},
    {C, 14881, 8, url .. "Encounter/1202"},
    {C, 14881, 7, url .. "Encounter/1200"},
    {C, 14881, 6, url .. "Encounter/1205"},
    {C, 14881, 5, url .. "Encounter/1204"},
    {C, 14881, 4, url .. "Encounter/1208"},
    {C, 14881, 3, url .. "Encounter/1207"},
    {C, 14881, 2, url .. "Encounter/1206"},
    {C, 14881, 1, url .. "Encounter/1199"},
    {N, 14881, addon.L["Xu-Fu's Pet Guides"], url .. "Section/72"}, -- Abhorrent Adversaries of the Afterlife
    {CwT, 894, 14877, 11, url .. "Encounter/1268"},
    {CwT, 894, 14877, 10, url .. "Encounter/1267"},
    {CwT, 894, 14877, 9, url .. "Encounter/1255"},
    {CwT, 894, 14877, 8, url .. "Encounter/1257"},
    {CwT, 894, 14877, 7, url .. "Encounter/1256"},
    {CwT, 894, 14877, 6, url .. "Encounter/1259"},
    {CwT, 894, 14877, 5, url .. "Encounter/1261"},
    {CwT, 894, 14877, 4, url .. "Encounter/1260"},
    {CwT, 894, 14877, 3, url .. "Encounter/1265"},
    {CwT, 894, 14877, 2, url .. "Encounter/1264"},
    {CwT, 894, 14877, 1, url .. "Encounter/1263"},
    {T, 894, 14879, 10, url .. "Encounter/1265"},
    {CwT, 882, 14876, 11, url .. "Encounter/1358"},
    {CwT, 882, 14876, 10, url .. "Encounter/1357"},
    {CwT, 882, 14876, 9, url .. "Encounter/1345"},
    {CwT, 882, 14876, 8, url .. "Encounter/1347"},
    {CwT, 882, 14876, 7, url .. "Encounter/1346"},
    {CwT, 882, 14876, 6, url .. "Encounter/1349"},
    {CwT, 882, 14876, 5, url .. "Encounter/1351"},
    {CwT, 882, 14876, 4, url .. "Encounter/1350"},
    {CwT, 882, 14876, 3, url .. "Encounter/1355"},
    {CwT, 882, 14876, 2, url .. "Encounter/1354"},
    {CwT, 882, 14876, 1, url .. "Encounter/1353"},
    {T, 882, 14879, 9, url .. "Encounter/1355"},
    {CwT, 870, 14875, 11, url .. "Encounter/1298"},
    {CwT, 870, 14875, 10, url .. "Encounter/1297"},
    {CwT, 870, 14875, 9, url .. "Encounter/1285"},
    {CwT, 870, 14875, 8, url .. "Encounter/1287"},
    {CwT, 870, 14875, 7, url .. "Encounter/1286"},
    {CwT, 870, 14875, 6, url .. "Encounter/1289"},
    {CwT, 870, 14875, 5, url .. "Encounter/1291"},
    {CwT, 870, 14875, 4, url .. "Encounter/1290"},
    {CwT, 870, 14875, 3, url .. "Encounter/1295"},
    {CwT, 870, 14875, 2, url .. "Encounter/1294"},
    {CwT, 870, 14875, 1, url .. "Encounter/1293"},
    {T, 870, 14879, 8, url .. "Encounter/1295"},
    {CwT, 858, 14874, 11, url .. "Encounter/1223"},
    {CwT, 858, 14874, 10, url .. "Encounter/1222"},
    {CwT, 858, 14874, 9, url .. "Encounter/1210"},
    {CwT, 858, 14874, 8, url .. "Encounter/1212"},
    {CwT, 858, 14874, 7, url .. "Encounter/1211"},
    {CwT, 858, 14874, 6, url .. "Encounter/1214"},
    {CwT, 858, 14874, 5, url .. "Encounter/1216"},
    {CwT, 858, 14874, 4, url .. "Encounter/1215"},
    {CwT, 858, 14874, 3, url .. "Encounter/1220"},
    {CwT, 858, 14874, 2, url .. "Encounter/1219"},
    {CwT, 858, 14874, 1, url .. "Encounter/1218"},
    {T, 858, 14879, 7, url .. "Encounter/1220"},
    {CwT, 846, 14873, 11, url .. "Encounter/1253"},
    {CwT, 846, 14873, 10, url .. "Encounter/1252"},
    {CwT, 846, 14873, 9, url .. "Encounter/1240"},
    {CwT, 846, 14873, 8, url .. "Encounter/1242"},
    {CwT, 846, 14873, 7, url .. "Encounter/1241"},
    {CwT, 846, 14873, 6, url .. "Encounter/1244"},
    {CwT, 846, 14873, 5, url .. "Encounter/1246"},
    {CwT, 846, 14873, 4, url .. "Encounter/1245"},
    {CwT, 846, 14873, 3, url .. "Encounter/1250"},
    {CwT, 846, 14873, 2, url .. "Encounter/1249"},
    {CwT, 846, 14873, 1, url .. "Encounter/1248"},
    {T, 846, 14879, 6, url .. "Encounter/1250"},
    {CwT, 834, 14872, 11, url .. "Encounter/1313"},
    {CwT, 834, 14872, 10, url .. "Encounter/1312"},
    {CwT, 834, 14872, 9, url .. "Encounter/1300"},
    {CwT, 834, 14872, 8, url .. "Encounter/1302"},
    {CwT, 834, 14872, 7, url .. "Encounter/1301"},
    {CwT, 834, 14872, 6, url .. "Encounter/1304"},
    {CwT, 834, 14872, 5, url .. "Encounter/1306"},
    {CwT, 834, 14872, 4, url .. "Encounter/1305"},
    {CwT, 834, 14872, 3, url .. "Encounter/1310"},
    {CwT, 834, 14872, 2, url .. "Encounter/1309"},
    {CwT, 834, 14872, 1, url .. "Encounter/1308"},
    {T, 834, 14879, 5, url .. "Encounter/1310"},
    {CwT, 822, 14871, 11, url .. "Encounter/1238"},
    {CwT, 822, 14871, 10, url .. "Encounter/1237"},
    {CwT, 822, 14871, 9, url .. "Encounter/1225"},
    {CwT, 822, 14871, 8, url .. "Encounter/1227"},
    {CwT, 822, 14871, 7, url .. "Encounter/1226"},
    {CwT, 822, 14871, 6, url .. "Encounter/1229"},
    {CwT, 822, 14871, 5, url .. "Encounter/1231"},
    {CwT, 822, 14871, 4, url .. "Encounter/1230"},
    {CwT, 822, 14871, 3, url .. "Encounter/1235"},
    {CwT, 822, 14871, 2, url .. "Encounter/1234"},
    {CwT, 822, 14871, 1, url .. "Encounter/1233"},
    {T, 822, 14879, 4, url .. "Encounter/1235"},
    {CwT, 810, 14870, 11, url .. "Encounter/1283"},
    {CwT, 810, 14870, 10, url .. "Encounter/1282"},
    {CwT, 810, 14870, 9, url .. "Encounter/1270"},
    {CwT, 810, 14870, 8, url .. "Encounter/1272"},
    {CwT, 810, 14870, 7, url .. "Encounter/1271"},
    {CwT, 810, 14870, 6, url .. "Encounter/1274"},
    {CwT, 810, 14870, 5, url .. "Encounter/1276"},
    {CwT, 810, 14870, 4, url .. "Encounter/1275"},
    {CwT, 810, 14870, 3, url .. "Encounter/1280"},
    {CwT, 810, 14870, 2, url .. "Encounter/1279"},
    {CwT, 810, 14870, 1, url .. "Encounter/1278"},
    {T, 810, 14879, 3, url .. "Encounter/1280"},
    {CwT, 798, 14869, 11, url .. "Encounter/1328"},
    {CwT, 798, 14869, 10, url .. "Encounter/1327"},
    {CwT, 798, 14869, 9, url .. "Encounter/1315"},
    {CwT, 798, 14869, 8, url .. "Encounter/1317"},
    {CwT, 798, 14869, 7, url .. "Encounter/1316"},
    {CwT, 798, 14869, 6, url .. "Encounter/1319"},
    {CwT, 798, 14869, 5, url .. "Encounter/1321"},
    {CwT, 798, 14869, 4, url .. "Encounter/1320"},
    {CwT, 798, 14869, 3, url .. "Encounter/1325"},
    {CwT, 798, 14869, 2, url .. "Encounter/1324"},
    {CwT, 798, 14869, 1, url .. "Encounter/1323"},
    {T, 798, 14879, 2, url .. "Encounter/1325"},
    {CwT, 786, 14868, 11, url .. "Encounter/1343"},
    {CwT, 786, 14868, 10, url .. "Encounter/1342"},
    {CwT, 786, 14868, 9, url .. "Encounter/1330"},
    {CwT, 786, 14868, 8, url .. "Encounter/1332"},
    {CwT, 786, 14868, 7, url .. "Encounter/1331"},
    {CwT, 786, 14868, 6, url .. "Encounter/1334"},
    {CwT, 786, 14868, 5, url .. "Encounter/1336"},
    {CwT, 786, 14868, 4, url .. "Encounter/1335"},
    {CwT, 786, 14868, 3, url .. "Encounter/1340"},
    {CwT, 786, 14868, 2, url .. "Encounter/1339"},
    {CwT, 786, 14868, 1, url .. "Encounter/1338"},
    {T, 786, 14879, 1, url .. "Encounter/1340"},
    {N, 14879, addon.L["Xu-Fu's Pet Guides"], url .. "Section/73"}, -- Family Exorcist
    {C, 14877, 11, url .. "Encounter/1268"},
    {C, 14877, 10, url .. "Encounter/1267"},
    {C, 14877, 9, url .. "Encounter/1255"},
    {C, 14877, 8, url .. "Encounter/1257"},
    {C, 14877, 7, url .. "Encounter/1256"},
    {C, 14877, 6, url .. "Encounter/1259"},
    {C, 14877, 5, url .. "Encounter/1261"},
    {C, 14877, 4, url .. "Encounter/1260"},
    {C, 14877, 3, url .. "Encounter/1265"},
    {C, 14877, 2, url .. "Encounter/1264"},
    {C, 14877, 1, url .. "Encounter/1263"},
    {N, 14877, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1265"}, -- Unholy Undead
    {C, 14876, 11, url .. "Encounter/1358"},
    {C, 14876, 10, url .. "Encounter/1357"},
    {C, 14876, 9, url .. "Encounter/1345"},
    {C, 14876, 8, url .. "Encounter/1347"},
    {C, 14876, 7, url .. "Encounter/1346"},
    {C, 14876, 6, url .. "Encounter/1349"},
    {C, 14876, 5, url .. "Encounter/1351"},
    {C, 14876, 4, url .. "Encounter/1350"},
    {C, 14876, 3, url .. "Encounter/1355"},
    {C, 14876, 2, url .. "Encounter/1354"},
    {C, 14876, 1, url .. "Encounter/1353"},
    {N, 14876, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1355"}, -- Macabre Mechanicals
    {C, 14875, 11, url .. "Encounter/1298"},
    {C, 14875, 10, url .. "Encounter/1297"},
    {C, 14875, 9, url .. "Encounter/1285"},
    {C, 14875, 8, url .. "Encounter/1287"},
    {C, 14875, 7, url .. "Encounter/1286"},
    {C, 14875, 6, url .. "Encounter/1289"},
    {C, 14875, 5, url .. "Encounter/1291"},
    {C, 14875, 4, url .. "Encounter/1290"},
    {C, 14875, 3, url .. "Encounter/1295"},
    {C, 14875, 2, url .. "Encounter/1294"},
    {C, 14875, 1, url .. "Encounter/1293"},
    {N, 14875, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1295"}, -- Mummified Magics
    {C, 14874, 11, url .. "Encounter/1223"},
    {C, 14874, 10, url .. "Encounter/1222"},
    {C, 14874, 9, url .. "Encounter/1210"},
    {C, 14874, 8, url .. "Encounter/1212"},
    {C, 14874, 7, url .. "Encounter/1211"},
    {C, 14874, 6, url .. "Encounter/1214"},
    {C, 14874, 5, url .. "Encounter/1216"},
    {C, 14874, 4, url .. "Encounter/1215"},
    {C, 14874, 3, url .. "Encounter/1220"},
    {C, 14874, 2, url .. "Encounter/1219"},
    {C, 14874, 1, url .. "Encounter/1218"},
    {N, 14874, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1220"}, -- Haunted Humanoids
    {C, 14873, 11, url .. "Encounter/1253"},
    {C, 14873, 10, url .. "Encounter/1252"},
    {C, 14873, 9, url .. "Encounter/1240"},
    {C, 14873, 8, url .. "Encounter/1242"},
    {C, 14873, 7, url .. "Encounter/1241"},
    {C, 14873, 6, url .. "Encounter/1244"},
    {C, 14873, 5, url .. "Encounter/1246"},
    {C, 14873, 4, url .. "Encounter/1245"},
    {C, 14873, 3, url .. "Encounter/1250"},
    {C, 14873, 2, url .. "Encounter/1249"},
    {C, 14873, 1, url .. "Encounter/1248"},
    {N, 14873, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1250"}, -- Flickering Fliers
    {C, 14872, 11, url .. "Encounter/1313"},
    {C, 14872, 10, url .. "Encounter/1312"},
    {C, 14872, 9, url .. "Encounter/1300"},
    {C, 14872, 8, url .. "Encounter/1302"},
    {C, 14872, 7, url .. "Encounter/1301"},
    {C, 14872, 6, url .. "Encounter/1304"},
    {C, 14872, 5, url .. "Encounter/1306"},
    {C, 14872, 4, url .. "Encounter/1305"},
    {C, 14872, 3, url .. "Encounter/1310"},
    {C, 14872, 2, url .. "Encounter/1309"},
    {C, 14872, 1, url .. "Encounter/1308"},
    {N, 14872, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1310"}, -- Eerie Elementals
    {C, 14871, 11, url .. "Encounter/1238"},
    {C, 14871, 10, url .. "Encounter/1237"},
    {C, 14871, 9, url .. "Encounter/1225"},
    {C, 14871, 8, url .. "Encounter/1227"},
    {C, 14871, 7, url .. "Encounter/1226"},
    {C, 14871, 6, url .. "Encounter/1229"},
    {C, 14871, 5, url .. "Encounter/1231"},
    {C, 14871, 4, url .. "Encounter/1230"},
    {C, 14871, 3, url .. "Encounter/1235"},
    {C, 14871, 2, url .. "Encounter/1234"},
    {C, 14871, 1, url .. "Encounter/1233"},
    {N, 14871, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1235"}, -- Deathly Dragonkin
    {C, 14870, 11, url .. "Encounter/1283"},
    {C, 14870, 10, url .. "Encounter/1282"},
    {C, 14870, 9, url .. "Encounter/1270"},
    {C, 14870, 8, url .. "Encounter/1272"},
    {C, 14870, 7, url .. "Encounter/1271"},
    {C, 14870, 6, url .. "Encounter/1274"},
    {C, 14870, 5, url .. "Encounter/1276"},
    {C, 14870, 4, url .. "Encounter/1275"},
    {C, 14870, 3, url .. "Encounter/1280"},
    {C, 14870, 2, url .. "Encounter/1279"},
    {C, 14870, 1, url .. "Encounter/1278"},
    {N, 14870, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1280"}, -- Creepy Critters
    {C, 14869, 11, url .. "Encounter/1328"},
    {C, 14869, 10, url .. "Encounter/1327"},
    {C, 14869, 9, url .. "Encounter/1315"},
    {C, 14869, 8, url .. "Encounter/1317"},
    {C, 14869, 7, url .. "Encounter/1316"},
    {C, 14869, 6, url .. "Encounter/1319"},
    {C, 14869, 5, url .. "Encounter/1321"},
    {C, 14869, 4, url .. "Encounter/1320"},
    {C, 14869, 3, url .. "Encounter/1325"},
    {C, 14869, 2, url .. "Encounter/1324"},
    {C, 14869, 1, url .. "Encounter/1323"},
    {N, 14869, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1325"}, -- Beast Busters
    {C, 14868, 11, url .. "Encounter/1343"},
    {C, 14868, 10, url .. "Encounter/1342"},
    {C, 14868, 9, url .. "Encounter/1330"},
    {C, 14868, 8, url .. "Encounter/1332"},
    {C, 14868, 7, url .. "Encounter/1331"},
    {C, 14868, 6, url .. "Encounter/1334"},
    {C, 14868, 5, url .. "Encounter/1336"},
    {C, 14868, 4, url .. "Encounter/1335"},
    {C, 14868, 3, url .. "Encounter/1340"},
    {C, 14868, 2, url .. "Encounter/1339"},
    {C, 14868, 1, url .. "Encounter/1338"},
    {N, 14868, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/1340"}, -- Aquatic Apparitions
    {C, 14625, 16, url .. "Encounter/1181"},
    {C, 14625, 15, url .. "Encounter/1179"},
    {C, 14625, 14, url .. "Encounter/1180"},
    {C, 14625, 13, url .. "Encounter/1182"},
    {C, 14625, 12, url .. "Encounter/1184"},
    {C, 14625, 11, url .. "Encounter/1185"},
    {C, 14625, 10, url .. "Encounter/1186"},
    {C, 14625, 9, url .. "Encounter/1187"},
    {C, 14625, 8, url .. "Encounter/1189"},
    {C, 14625, 7, url .. "Encounter/1190"},
    {C, 14625, 6, url .. "Encounter/1191"},
    {C, 14625, 5, url .. "Encounter/1192"},
    {C, 14625, 4, url .. "Encounter/1194"},
    {C, 14625, 3, url .. "Encounter/1195"},
    {C, 14625, 2, url .. "Encounter/1196"},
    {C, 14625, 1, url .. "Encounter/1197"},
    {N, 14625, addon.L["Xu-Fu's Pet Guides"], url .. "Section/70"}, -- Battle in the Shadowlands
    {N, 13695, addon.L["Xu-Fu's Pet Guides"], url .. "Section/61"}, -- Team Aquashock
    {C, 13626, 12, url .. "Encounter/1113"},
    {C, 13626, 11, url .. "Encounter/1107"},
    {C, 13626, 10, url .. "Encounter/1112"},
    {C, 13626, 9, url .. "Encounter/1106"},
    {C, 13626, 8, url .. "Encounter/1111"},
    {C, 13626, 7, url .. "Encounter/1105"},
    {C, 13626, 6, url .. "Encounter/1110"},
    {C, 13626, 5, url .. "Encounter/1104"},
    {C, 13626, 4, url .. "Encounter/1109"},
    {C, 13626, 3, url .. "Encounter/1103"},
    {C, 13626, 2, url .. "Encounter/1108"},
    {C, 13626, 1, url .. "Encounter/1102"},
    {N, 13626, addon.L["Xu-Fu's Pet Guides"], url .. "Section/62"}, -- Nautical Nuisances of Nazjatar
    {C, 13625, 8, url .. "Encounter/1114"},
    {C, 13625, 7, url .. "Encounter/1098"},
    {C, 13625, 6, url .. "Encounter/1101"},
    {C, 13625, 5, url .. "Encounter/1097"},
    {C, 13625, 4, url .. "Encounter/1100"},
    {C, 13625, 3, url .. "Encounter/1096"},
    {C, 13625, 2, url .. "Encounter/1099"},
    {C, 13625, 1, url .. "Encounter/1095"},
    {N, 13625, addon.L["Xu-Fu's Pet Guides"], url .. "Section/61"}, -- Mighty Minions of Mechagon
    {C, 13281, 19, url .. "Encounter/745"},
    {C, 13281, 18, url .. "Encounter/744"},
    {C, 13281, 17, url .. "Encounter/747"},
    {C, 13281, 16, url .. "Encounter/755"},
    {C, 13281, 15, url .. "Encounter/757"},
    {C, 13281, 14, url .. "Encounter/754"},
    {C, 13281, 13, url .. "Encounter/751"},
    {C, 13281, 12, url .. "Encounter/752"},
    {C, 13281, 11, url .. "Encounter/750"},
    {C, 13281, 10, url .. "Encounter/730"},
    {C, 13281, 9, url .. "Encounter/729"},
    {C, 13281, 8, url .. "Encounter/731"},
    {C, 13281, 7, url .. "Encounter/734"},
    {C, 13281, 6, url .. "Encounter/735"},
    {C, 13281, 5, url .. "Encounter/739"},
    {C, 13281, 4, url .. "Encounter/740"},
    {C, 13281, 3, url .. "Encounter/741"},
    {C, 13281, 2, url .. "Encounter/736"},
    {C, 13281, 1, url .. "Encounter/742"},
    {N, 13281, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/729"}, -- Human Resources
    {C, 13280, 19, url .. "Encounter/985"},
    {C, 13280, 18, url .. "Encounter/984"},
    {C, 13280, 17, url .. "Encounter/987"},
    {C, 13280, 16, url .. "Encounter/995"},
    {C, 13280, 15, url .. "Encounter/997"},
    {C, 13280, 14, url .. "Encounter/994"},
    {C, 13280, 13, url .. "Encounter/991"},
    {C, 13280, 12, url .. "Encounter/992"},
    {C, 13280, 11, url .. "Encounter/990"},
    {C, 13280, 10, url .. "Encounter/970"},
    {C, 13280, 9, url .. "Encounter/969"},
    {C, 13280, 8, url .. "Encounter/971"},
    {C, 13280, 7, url .. "Encounter/974"},
    {C, 13280, 6, url .. "Encounter/975"},
    {C, 13280, 5, url .. "Encounter/979"},
    {C, 13280, 4, url .. "Encounter/980"},
    {C, 13280, 3, url .. "Encounter/981"},
    {C, 13280, 2, url .. "Encounter/976"},
    {C, 13280, 1, url .. "Encounter/982"},
    {N, 13280, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/969"}, -- Hobbyist Aquarist
    {CwT, 726, 13278, 19, url .. "Encounter/835"},
    {CwT, 726, 13278, 18, url .. "Encounter/834"},
    {CwT, 726, 13278, 17, url .. "Encounter/837"},
    {CwT, 726, 13278, 16, url .. "Encounter/845"},
    {CwT, 726, 13278, 15, url .. "Encounter/847"},
    {CwT, 726, 13278, 14, url .. "Encounter/844"},
    {CwT, 726, 13278, 13, url .. "Encounter/841"},
    {CwT, 726, 13278, 12, url .. "Encounter/842"},
    {CwT, 726, 13278, 11, url .. "Encounter/840"},
    {CwT, 726, 13278, 10, url .. "Encounter/820"},
    {CwT, 726, 13278, 9, url .. "Encounter/819"},
    {CwT, 726, 13278, 8, url .. "Encounter/821"},
    {CwT, 726, 13278, 7, url .. "Encounter/824"},
    {CwT, 726, 13278, 6, url .. "Encounter/825"},
    {CwT, 726, 13278, 5, url .. "Encounter/829"},
    {CwT, 726, 13278, 4, url .. "Encounter/830"},
    {CwT, 726, 13278, 3, url .. "Encounter/831"},
    {CwT, 726, 13278, 2, url .. "Encounter/826"},
    {CwT, 726, 13278, 1, url .. "Encounter/832"},
    {T, 726, 13279, 10, url .. "Encounter/819"},
    {CwT, 706, 13277, 19, url .. "Encounter/1015"},
    {CwT, 706, 13277, 18, url .. "Encounter/1014"},
    {CwT, 706, 13277, 17, url .. "Encounter/1017"},
    {CwT, 706, 13277, 16, url .. "Encounter/1025"},
    {CwT, 706, 13277, 15, url .. "Encounter/1027"},
    {CwT, 706, 13277, 14, url .. "Encounter/1024"},
    {CwT, 706, 13277, 13, url .. "Encounter/1021"},
    {CwT, 706, 13277, 12, url .. "Encounter/1022"},
    {CwT, 706, 13277, 11, url .. "Encounter/1020"},
    {CwT, 706, 13277, 10, url .. "Encounter/1000"},
    {CwT, 706, 13277, 9, url .. "Encounter/999"},
    {CwT, 706, 13277, 8, url .. "Encounter/1001"},
    {CwT, 706, 13277, 7, url .. "Encounter/1004"},
    {CwT, 706, 13277, 6, url .. "Encounter/1005"},
    {CwT, 706, 13277, 5, url .. "Encounter/1009"},
    {CwT, 706, 13277, 4, url .. "Encounter/1010"},
    {CwT, 706, 13277, 3, url .. "Encounter/1011"},
    {CwT, 706, 13277, 2, url .. "Encounter/1006"},
    {CwT, 706, 13277, 1, url .. "Encounter/1012"},
    {T, 706, 13279, 9, url .. "Encounter/999"},
    {CwT, 686, 13275, 19, url .. "Encounter/895"},
    {CwT, 686, 13275, 18, url .. "Encounter/894"},
    {CwT, 686, 13275, 17, url .. "Encounter/897"},
    {CwT, 686, 13275, 16, url .. "Encounter/905"},
    {CwT, 686, 13275, 15, url .. "Encounter/907"},
    {CwT, 686, 13275, 14, url .. "Encounter/904"},
    {CwT, 686, 13275, 13, url .. "Encounter/901"},
    {CwT, 686, 13275, 12, url .. "Encounter/902"},
    {CwT, 686, 13275, 11, url .. "Encounter/900"},
    {CwT, 686, 13275, 10, url .. "Encounter/880"},
    {CwT, 686, 13275, 9, url .. "Encounter/879"},
    {CwT, 686, 13275, 8, url .. "Encounter/881"},
    {CwT, 686, 13275, 7, url .. "Encounter/884"},
    {CwT, 686, 13275, 6, url .. "Encounter/885"},
    {CwT, 686, 13275, 5, url .. "Encounter/889"},
    {CwT, 686, 13275, 4, url .. "Encounter/890"},
    {CwT, 686, 13275, 3, url .. "Encounter/891"},
    {CwT, 686, 13275, 2, url .. "Encounter/886"},
    {CwT, 686, 13275, 1, url .. "Encounter/892"},
    {T, 686, 13279, 8, url .. "Encounter/879"},
    {CwT, 666, 13281, 19, url .. "Encounter/745"},
    {CwT, 666, 13281, 18, url .. "Encounter/744"},
    {CwT, 666, 13281, 17, url .. "Encounter/747"},
    {CwT, 666, 13281, 16, url .. "Encounter/755"},
    {CwT, 666, 13281, 15, url .. "Encounter/757"},
    {CwT, 666, 13281, 14, url .. "Encounter/754"},
    {CwT, 666, 13281, 13, url .. "Encounter/751"},
    {CwT, 666, 13281, 12, url .. "Encounter/752"},
    {CwT, 666, 13281, 11, url .. "Encounter/750"},
    {CwT, 666, 13281, 10, url .. "Encounter/730"},
    {CwT, 666, 13281, 9, url .. "Encounter/729"},
    {CwT, 666, 13281, 8, url .. "Encounter/731"},
    {CwT, 666, 13281, 7, url .. "Encounter/734"},
    {CwT, 666, 13281, 6, url .. "Encounter/735"},
    {CwT, 666, 13281, 5, url .. "Encounter/739"},
    {CwT, 666, 13281, 4, url .. "Encounter/740"},
    {CwT, 666, 13281, 3, url .. "Encounter/741"},
    {CwT, 666, 13281, 2, url .. "Encounter/736"},
    {CwT, 666, 13281, 1, url .. "Encounter/742"},
    {T, 666, 13279, 7, url .. "Encounter/729"},
    {CwT, 646, 13274, 19, url .. "Encounter/805"},
    {CwT, 646, 13274, 18, url .. "Encounter/804"},
    {CwT, 646, 13274, 17, url .. "Encounter/807"},
    {CwT, 646, 13274, 16, url .. "Encounter/815"},
    {CwT, 646, 13274, 15, url .. "Encounter/817"},
    {CwT, 646, 13274, 14, url .. "Encounter/814"},
    {CwT, 646, 13274, 13, url .. "Encounter/811"},
    {CwT, 646, 13274, 12, url .. "Encounter/812"},
    {CwT, 646, 13274, 11, url .. "Encounter/810"},
    {CwT, 646, 13274, 10, url .. "Encounter/790"},
    {CwT, 646, 13274, 9, url .. "Encounter/789"},
    {CwT, 646, 13274, 8, url .. "Encounter/791"},
    {CwT, 646, 13274, 7, url .. "Encounter/794"},
    {CwT, 646, 13274, 6, url .. "Encounter/795"},
    {CwT, 646, 13274, 5, url .. "Encounter/799"},
    {CwT, 646, 13274, 4, url .. "Encounter/800"},
    {CwT, 646, 13274, 3, url .. "Encounter/801"},
    {CwT, 646, 13274, 2, url .. "Encounter/796"},
    {CwT, 646, 13274, 1, url .. "Encounter/802"},
    {T, 646, 13279, 6, url .. "Encounter/789"},
    {CwT, 626, 13273, 19, url .. "Encounter/925"},
    {CwT, 626, 13273, 18, url .. "Encounter/924"},
    {CwT, 626, 13273, 17, url .. "Encounter/927"},
    {CwT, 626, 13273, 16, url .. "Encounter/935"},
    {CwT, 626, 13273, 15, url .. "Encounter/937"},
    {CwT, 626, 13273, 14, url .. "Encounter/934"},
    {CwT, 626, 13273, 13, url .. "Encounter/931"},
    {CwT, 626, 13273, 12, url .. "Encounter/932"},
    {CwT, 626, 13273, 11, url .. "Encounter/930"},
    {CwT, 626, 13273, 10, url .. "Encounter/910"},
    {CwT, 626, 13273, 9, url .. "Encounter/909"},
    {CwT, 626, 13273, 8, url .. "Encounter/911"},
    {CwT, 626, 13273, 7, url .. "Encounter/914"},
    {CwT, 626, 13273, 6, url .. "Encounter/915"},
    {CwT, 626, 13273, 5, url .. "Encounter/919"},
    {CwT, 626, 13273, 4, url .. "Encounter/920"},
    {CwT, 626, 13273, 3, url .. "Encounter/921"},
    {CwT, 626, 13273, 2, url .. "Encounter/916"},
    {CwT, 626, 13273, 1, url .. "Encounter/922"},
    {T, 626, 13279, 5, url .. "Encounter/909"},
    {CwT, 606, 13272, 19, url .. "Encounter/775"},
    {CwT, 606, 13272, 18, url .. "Encounter/774"},
    {CwT, 606, 13272, 17, url .. "Encounter/777"},
    {CwT, 606, 13272, 16, url .. "Encounter/785"},
    {CwT, 606, 13272, 15, url .. "Encounter/787"},
    {CwT, 606, 13272, 14, url .. "Encounter/784"},
    {CwT, 606, 13272, 13, url .. "Encounter/781"},
    {CwT, 606, 13272, 12, url .. "Encounter/782"},
    {CwT, 606, 13272, 11, url .. "Encounter/780"},
    {CwT, 606, 13272, 10, url .. "Encounter/760"},
    {CwT, 606, 13272, 9, url .. "Encounter/759"},
    {CwT, 606, 13272, 8, url .. "Encounter/761"},
    {CwT, 606, 13272, 7, url .. "Encounter/764"},
    {CwT, 606, 13272, 6, url .. "Encounter/765"},
    {CwT, 606, 13272, 5, url .. "Encounter/769"},
    {CwT, 606, 13272, 4, url .. "Encounter/770"},
    {CwT, 606, 13272, 3, url .. "Encounter/771"},
    {CwT, 606, 13272, 2, url .. "Encounter/766"},
    {CwT, 606, 13272, 1, url .. "Encounter/772"},
    {T, 606, 13279, 4, url .. "Encounter/759"},
    {CwT, 586, 13271, 19, url .. "Encounter/865"},
    {CwT, 586, 13271, 18, url .. "Encounter/864"},
    {CwT, 586, 13271, 17, url .. "Encounter/867"},
    {CwT, 586, 13271, 16, url .. "Encounter/875"},
    {CwT, 586, 13271, 15, url .. "Encounter/877"},
    {CwT, 586, 13271, 14, url .. "Encounter/874"},
    {CwT, 586, 13271, 13, url .. "Encounter/871"},
    {CwT, 586, 13271, 12, url .. "Encounter/872"},
    {CwT, 586, 13271, 11, url .. "Encounter/870"},
    {CwT, 586, 13271, 10, url .. "Encounter/850"},
    {CwT, 586, 13271, 9, url .. "Encounter/849"},
    {CwT, 586, 13271, 8, url .. "Encounter/851"},
    {CwT, 586, 13271, 7, url .. "Encounter/854"},
    {CwT, 586, 13271, 6, url .. "Encounter/855"},
    {CwT, 586, 13271, 5, url .. "Encounter/859"},
    {CwT, 586, 13271, 4, url .. "Encounter/860"},
    {CwT, 586, 13271, 3, url .. "Encounter/861"},
    {CwT, 586, 13271, 2, url .. "Encounter/856"},
    {CwT, 586, 13271, 1, url .. "Encounter/862"},
    {T, 586, 13279, 3, url .. "Encounter/849"},
    {CwT, 566, 13270, 19, url .. "Encounter/955"},
    {CwT, 566, 13270, 18, url .. "Encounter/954"},
    {CwT, 566, 13270, 17, url .. "Encounter/957"},
    {CwT, 566, 13270, 16, url .. "Encounter/965"},
    {CwT, 566, 13270, 15, url .. "Encounter/967"},
    {CwT, 566, 13270, 14, url .. "Encounter/964"},
    {CwT, 566, 13270, 13, url .. "Encounter/961"},
    {CwT, 566, 13270, 12, url .. "Encounter/962"},
    {CwT, 566, 13270, 11, url .. "Encounter/960"},
    {CwT, 566, 13270, 10, url .. "Encounter/940"},
    {CwT, 566, 13270, 9, url .. "Encounter/939"},
    {CwT, 566, 13270, 8, url .. "Encounter/941"},
    {CwT, 566, 13270, 7, url .. "Encounter/944"},
    {CwT, 566, 13270, 6, url .. "Encounter/945"},
    {CwT, 566, 13270, 5, url .. "Encounter/949"},
    {CwT, 566, 13270, 4, url .. "Encounter/950"},
    {CwT, 566, 13270, 3, url .. "Encounter/951"},
    {CwT, 566, 13270, 2, url .. "Encounter/946"},
    {CwT, 566, 13270, 1, url .. "Encounter/952"},
    {T, 566, 13279, 2, url .. "Encounter/939"},
    {CwT, 546, 13280, 19, url .. "Encounter/985"},
    {CwT, 546, 13280, 18, url .. "Encounter/984"},
    {CwT, 546, 13280, 17, url .. "Encounter/987"},
    {CwT, 546, 13280, 16, url .. "Encounter/995"},
    {CwT, 546, 13280, 15, url .. "Encounter/997"},
    {CwT, 546, 13280, 14, url .. "Encounter/994"},
    {CwT, 546, 13280, 13, url .. "Encounter/991"},
    {CwT, 546, 13280, 12, url .. "Encounter/992"},
    {CwT, 546, 13280, 11, url .. "Encounter/990"},
    {CwT, 546, 13280, 10, url .. "Encounter/970"},
    {CwT, 546, 13280, 9, url .. "Encounter/969"},
    {CwT, 546, 13280, 8, url .. "Encounter/971"},
    {CwT, 546, 13280, 7, url .. "Encounter/974"},
    {CwT, 546, 13280, 6, url .. "Encounter/975"},
    {CwT, 546, 13280, 5, url .. "Encounter/979"},
    {CwT, 546, 13280, 4, url .. "Encounter/980"},
    {CwT, 546, 13280, 3, url .. "Encounter/981"},
    {CwT, 546, 13280, 2, url .. "Encounter/976"},
    {CwT, 546, 13280, 1, url .. "Encounter/982"},
    {T, 546, 13279, 1, url .. "Encounter/969"},
    {N, 13279, addon.L["Xu-Fu's Pet Guides"], url .. "Section/54"}, -- Family Battler
    {C, 13278, 19, url .. "Encounter/835"},
    {C, 13278, 18, url .. "Encounter/834"},
    {C, 13278, 17, url .. "Encounter/837"},
    {C, 13278, 16, url .. "Encounter/845"},
    {C, 13278, 15, url .. "Encounter/847"},
    {C, 13278, 14, url .. "Encounter/844"},
    {C, 13278, 13, url .. "Encounter/841"},
    {C, 13278, 12, url .. "Encounter/842"},
    {C, 13278, 11, url .. "Encounter/840"},
    {C, 13278, 10, url .. "Encounter/820"},
    {C, 13278, 9, url .. "Encounter/819"},
    {C, 13278, 8, url .. "Encounter/821"},
    {C, 13278, 7, url .. "Encounter/824"},
    {C, 13278, 6, url .. "Encounter/825"},
    {C, 13278, 5, url .. "Encounter/829"},
    {C, 13278, 4, url .. "Encounter/830"},
    {C, 13278, 3, url .. "Encounter/831"},
    {C, 13278, 2, url .. "Encounter/826"},
    {C, 13278, 1, url .. "Encounter/832"},
    {N, 13278, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/819"}, -- Not Quite Dead Yet
    {C, 13277, 19, url .. "Encounter/1015"},
    {C, 13277, 18, url .. "Encounter/1014"},
    {C, 13277, 17, url .. "Encounter/1017"},
    {C, 13277, 16, url .. "Encounter/1025"},
    {C, 13277, 15, url .. "Encounter/1027"},
    {C, 13277, 14, url .. "Encounter/1024"},
    {C, 13277, 13, url .. "Encounter/1021"},
    {C, 13277, 12, url .. "Encounter/1022"},
    {C, 13277, 11, url .. "Encounter/1020"},
    {C, 13277, 10, url .. "Encounter/1000"},
    {C, 13277, 9, url .. "Encounter/999"},
    {C, 13277, 8, url .. "Encounter/1001"},
    {C, 13277, 7, url .. "Encounter/1004"},
    {C, 13277, 6, url .. "Encounter/1005"},
    {C, 13277, 5, url .. "Encounter/1009"},
    {C, 13277, 4, url .. "Encounter/1010"},
    {C, 13277, 3, url .. "Encounter/1011"},
    {C, 13277, 2, url .. "Encounter/1006"},
    {C, 13277, 1, url .. "Encounter/1012"},
    {N, 13277, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/999"}, -- Machine Learning
    {C, 13275, 19, url .. "Encounter/895"},
    {C, 13275, 18, url .. "Encounter/894"},
    {C, 13275, 17, url .. "Encounter/897"},
    {C, 13275, 16, url .. "Encounter/905"},
    {C, 13275, 15, url .. "Encounter/907"},
    {C, 13275, 14, url .. "Encounter/904"},
    {C, 13275, 13, url .. "Encounter/901"},
    {C, 13275, 12, url .. "Encounter/902"},
    {C, 13275, 11, url .. "Encounter/900"},
    {C, 13275, 10, url .. "Encounter/880"},
    {C, 13275, 9, url .. "Encounter/879"},
    {C, 13275, 8, url .. "Encounter/881"},
    {C, 13275, 7, url .. "Encounter/884"},
    {C, 13275, 6, url .. "Encounter/885"},
    {C, 13275, 5, url .. "Encounter/889"},
    {C, 13275, 4, url .. "Encounter/890"},
    {C, 13275, 3, url .. "Encounter/891"},
    {C, 13275, 2, url .. "Encounter/886"},
    {C, 13275, 1, url .. "Encounter/892"},
    {N, 13275, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/879"}, -- Magician's Secrets
    {C, 13274, 19, url .. "Encounter/805"},
    {C, 13274, 18, url .. "Encounter/804"},
    {C, 13274, 17, url .. "Encounter/807"},
    {C, 13274, 16, url .. "Encounter/815"},
    {C, 13274, 15, url .. "Encounter/817"},
    {C, 13274, 14, url .. "Encounter/814"},
    {C, 13274, 13, url .. "Encounter/811"},
    {C, 13274, 12, url .. "Encounter/812"},
    {C, 13274, 11, url .. "Encounter/810"},
    {C, 13274, 10, url .. "Encounter/790"},
    {C, 13274, 9, url .. "Encounter/789"},
    {C, 13274, 8, url .. "Encounter/791"},
    {C, 13274, 7, url .. "Encounter/794"},
    {C, 13274, 6, url .. "Encounter/795"},
    {C, 13274, 5, url .. "Encounter/799"},
    {C, 13274, 4, url .. "Encounter/800"},
    {C, 13274, 3, url .. "Encounter/801"},
    {C, 13274, 2, url .. "Encounter/796"},
    {C, 13274, 1, url .. "Encounter/802"},
    {N, 13274, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/789"}, -- Fun With Flying
    {C, 13273, 19, url .. "Encounter/925"},
    {C, 13273, 18, url .. "Encounter/924"},
    {C, 13273, 17, url .. "Encounter/927"},
    {C, 13273, 16, url .. "Encounter/935"},
    {C, 13273, 15, url .. "Encounter/937"},
    {C, 13273, 14, url .. "Encounter/934"},
    {C, 13273, 13, url .. "Encounter/931"},
    {C, 13273, 12, url .. "Encounter/932"},
    {C, 13273, 11, url .. "Encounter/930"},
    {C, 13273, 10, url .. "Encounter/910"},
    {C, 13273, 9, url .. "Encounter/909"},
    {C, 13273, 8, url .. "Encounter/911"},
    {C, 13273, 7, url .. "Encounter/914"},
    {C, 13273, 6, url .. "Encounter/915"},
    {C, 13273, 5, url .. "Encounter/919"},
    {C, 13273, 4, url .. "Encounter/920"},
    {C, 13273, 3, url .. "Encounter/921"},
    {C, 13273, 2, url .. "Encounter/916"},
    {C, 13273, 1, url .. "Encounter/922"},
    {N, 13273, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/909"}, -- Element of Success
    {C, 13272, 19, url .. "Encounter/775"},
    {C, 13272, 18, url .. "Encounter/774"},
    {C, 13272, 17, url .. "Encounter/777"},
    {C, 13272, 16, url .. "Encounter/785"},
    {C, 13272, 15, url .. "Encounter/787"},
    {C, 13272, 14, url .. "Encounter/784"},
    {C, 13272, 13, url .. "Encounter/781"},
    {C, 13272, 12, url .. "Encounter/782"},
    {C, 13272, 11, url .. "Encounter/780"},
    {C, 13272, 10, url .. "Encounter/760"},
    {C, 13272, 9, url .. "Encounter/759"},
    {C, 13272, 8, url .. "Encounter/761"},
    {C, 13272, 7, url .. "Encounter/764"},
    {C, 13272, 6, url .. "Encounter/765"},
    {C, 13272, 5, url .. "Encounter/769"},
    {C, 13272, 4, url .. "Encounter/770"},
    {C, 13272, 3, url .. "Encounter/771"},
    {C, 13272, 2, url .. "Encounter/766"},
    {C, 13272, 1, url .. "Encounter/772"},
    {N, 13272, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/759"}, -- Dragons Make Everything Better
    {C, 13271, 19, url .. "Encounter/865"},
    {C, 13271, 18, url .. "Encounter/864"},
    {C, 13271, 17, url .. "Encounter/867"},
    {C, 13271, 16, url .. "Encounter/875"},
    {C, 13271, 15, url .. "Encounter/877"},
    {C, 13271, 14, url .. "Encounter/874"},
    {C, 13271, 13, url .. "Encounter/871"},
    {C, 13271, 12, url .. "Encounter/872"},
    {C, 13271, 11, url .. "Encounter/870"},
    {C, 13271, 10, url .. "Encounter/850"},
    {C, 13271, 9, url .. "Encounter/849"},
    {C, 13271, 8, url .. "Encounter/851"},
    {C, 13271, 7, url .. "Encounter/854"},
    {C, 13271, 6, url .. "Encounter/855"},
    {C, 13271, 5, url .. "Encounter/859"},
    {C, 13271, 4, url .. "Encounter/860"},
    {C, 13271, 3, url .. "Encounter/861"},
    {C, 13271, 2, url .. "Encounter/856"},
    {C, 13271, 1, url .. "Encounter/862"},
    {N, 13271, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/849"}, -- Critters With Huge Teeth
    {C, 13270, 19, url .. "Encounter/955"},
    {C, 13270, 18, url .. "Encounter/954"},
    {C, 13270, 17, url .. "Encounter/957"},
    {C, 13270, 16, url .. "Encounter/965"},
    {C, 13270, 15, url .. "Encounter/967"},
    {C, 13270, 14, url .. "Encounter/964"},
    {C, 13270, 13, url .. "Encounter/961"},
    {C, 13270, 12, url .. "Encounter/962"},
    {C, 13270, 11, url .. "Encounter/960"},
    {C, 13270, 10, url .. "Encounter/940"},
    {C, 13270, 9, url .. "Encounter/939"},
    {C, 13270, 8, url .. "Encounter/941"},
    {C, 13270, 7, url .. "Encounter/944"},
    {C, 13270, 6, url .. "Encounter/945"},
    {C, 13270, 5, url .. "Encounter/949"},
    {C, 13270, 4, url .. "Encounter/950"},
    {C, 13270, 3, url .. "Encounter/951"},
    {C, 13270, 2, url .. "Encounter/946"},
    {C, 13270, 1, url .. "Encounter/952"},
    {N, 13270, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/939"}, -- Beast Mode
    {C, 12936, 24, url .. "Encounter/715"},
    {C, 12936, 23, url .. "Encounter/716"},
    {C, 12936, 22, url .. "Encounter/714"},
    {C, 12936, 21, url .. "Encounter/717"},
    {C, 12936, 20, url .. "Encounter/725"},
    {C, 12936, 19, url .. "Encounter/726"},
    {C, 12936, 18, url .. "Encounter/727"},
    {C, 12936, 17, url .. "Encounter/724"},
    {C, 12936, 16, url .. "Encounter/721"},
    {C, 12936, 15, url .. "Encounter/722"},
    {C, 12936, 14, url .. "Encounter/719"},
    {C, 12936, 13, url .. "Encounter/720"},
    {C, 12936, 12, url .. "Encounter/700"},
    {C, 12936, 11, url .. "Encounter/699"},
    {C, 12936, 10, url .. "Encounter/702"},
    {C, 12936, 9, url .. "Encounter/701"},
    {C, 12936, 8, url .. "Encounter/704"},
    {C, 12936, 7, url .. "Encounter/705"},
    {C, 12936, 6, url .. "Encounter/709"},
    {C, 12936, 5, url .. "Encounter/710"},
    {C, 12936, 4, url .. "Encounter/711"},
    {C, 12936, 3, url .. "Encounter/706"},
    {C, 12936, 2, url .. "Encounter/707"},
    {C, 12936, 1, url .. "Encounter/712"},
    {N, 12936, addon.L["Xu-Fu's Pet Guides"], url .. "Section/51"}, -- Battle on Zandalar and Kul Tiras
    {CwT, 501, 12099, 18, url .. "Encounter/555"},
    {CwT, 501, 12099, 17, url .. "Encounter/552"},
    {CwT, 501, 12099, 16, url .. "Encounter/553"},
    {CwT, 501, 12099, 15, url .. "Encounter/557"},
    {CwT, 501, 12099, 14, url .. "Encounter/554"},
    {CwT, 501, 12099, 13, url .. "Encounter/556"},
    {CwT, 501, 12099, 12, url .. "Encounter/569"},
    {CwT, 501, 12099, 11, url .. "Encounter/567"},
    {CwT, 501, 12099, 10, url .. "Encounter/570"},
    {CwT, 501, 12099, 9, url .. "Encounter/568"},
    {CwT, 501, 12099, 8, url .. "Encounter/571"},
    {CwT, 501, 12099, 7, url .. "Encounter/566"},
    {CwT, 501, 12099, 6, url .. "Encounter/563"},
    {CwT, 501, 12099, 5, url .. "Encounter/561"},
    {CwT, 501, 12099, 4, url .. "Encounter/559"},
    {CwT, 501, 12099, 3, url .. "Encounter/560"},
    {CwT, 501, 12099, 2, url .. "Encounter/562"},
    {CwT, 501, 12099, 1, url .. "Encounter/564"},
    {T, 501, 12100, 10, url .. "Encounter/552"},
    {CwT, 482, 12098, 18, url .. "Encounter/681"},
    {CwT, 482, 12098, 17, url .. "Encounter/678"},
    {CwT, 482, 12098, 16, url .. "Encounter/679"},
    {CwT, 482, 12098, 15, url .. "Encounter/683"},
    {CwT, 482, 12098, 14, url .. "Encounter/680"},
    {CwT, 482, 12098, 13, url .. "Encounter/682"},
    {CwT, 482, 12098, 12, url .. "Encounter/695"},
    {CwT, 482, 12098, 11, url .. "Encounter/693"},
    {CwT, 482, 12098, 10, url .. "Encounter/696"},
    {CwT, 482, 12098, 9, url .. "Encounter/694"},
    {CwT, 482, 12098, 8, url .. "Encounter/697"},
    {CwT, 482, 12098, 7, url .. "Encounter/692"},
    {CwT, 482, 12098, 6, url .. "Encounter/689"},
    {CwT, 482, 12098, 5, url .. "Encounter/687"},
    {CwT, 482, 12098, 4, url .. "Encounter/685"},
    {CwT, 482, 12098, 3, url .. "Encounter/686"},
    {CwT, 482, 12098, 2, url .. "Encounter/688"},
    {CwT, 482, 12098, 1, url .. "Encounter/690"},
    {T, 482, 12100, 9, url .. "Encounter/678"},
    {CwT, 463, 12097, 18, url .. "Encounter/597"},
    {CwT, 463, 12097, 17, url .. "Encounter/594"},
    {CwT, 463, 12097, 16, url .. "Encounter/595"},
    {CwT, 463, 12097, 15, url .. "Encounter/599"},
    {CwT, 463, 12097, 14, url .. "Encounter/596"},
    {CwT, 463, 12097, 13, url .. "Encounter/598"},
    {CwT, 463, 12097, 12, url .. "Encounter/611"},
    {CwT, 463, 12097, 11, url .. "Encounter/609"},
    {CwT, 463, 12097, 10, url .. "Encounter/612"},
    {CwT, 463, 12097, 9, url .. "Encounter/610"},
    {CwT, 463, 12097, 8, url .. "Encounter/613"},
    {CwT, 463, 12097, 7, url .. "Encounter/608"},
    {CwT, 463, 12097, 6, url .. "Encounter/605"},
    {CwT, 463, 12097, 5, url .. "Encounter/603"},
    {CwT, 463, 12097, 4, url .. "Encounter/601"},
    {CwT, 463, 12097, 3, url .. "Encounter/602"},
    {CwT, 463, 12097, 2, url .. "Encounter/604"},
    {CwT, 463, 12097, 1, url .. "Encounter/606"},
    {T, 463, 12100, 8, url .. "Encounter/594"},
    {CwT, 444, 12096, 18, url .. "Encounter/492"},
    {CwT, 444, 12096, 17, url .. "Encounter/489"},
    {CwT, 444, 12096, 16, url .. "Encounter/490"},
    {CwT, 444, 12096, 15, url .. "Encounter/494"},
    {CwT, 444, 12096, 14, url .. "Encounter/491"},
    {CwT, 444, 12096, 13, url .. "Encounter/493"},
    {CwT, 444, 12096, 12, url .. "Encounter/506"},
    {CwT, 444, 12096, 11, url .. "Encounter/504"},
    {CwT, 444, 12096, 10, url .. "Encounter/507"},
    {CwT, 444, 12096, 9, url .. "Encounter/505"},
    {CwT, 444, 12096, 8, url .. "Encounter/508"},
    {CwT, 444, 12096, 7, url .. "Encounter/503"},
    {CwT, 444, 12096, 6, url .. "Encounter/500"},
    {CwT, 444, 12096, 5, url .. "Encounter/498"},
    {CwT, 444, 12096, 4, url .. "Encounter/496"},
    {CwT, 444, 12096, 3, url .. "Encounter/497"},
    {CwT, 444, 12096, 2, url .. "Encounter/499"},
    {CwT, 444, 12096, 1, url .. "Encounter/501"},
    {T, 444, 12100, 7, url .. "Encounter/489"},
    {CwT, 425, 12095, 18, url .. "Encounter/534"},
    {CwT, 425, 12095, 17, url .. "Encounter/531"},
    {CwT, 425, 12095, 16, url .. "Encounter/532"},
    {CwT, 425, 12095, 15, url .. "Encounter/536"},
    {CwT, 425, 12095, 14, url .. "Encounter/533"},
    {CwT, 425, 12095, 13, url .. "Encounter/535"},
    {CwT, 425, 12095, 12, url .. "Encounter/548"},
    {CwT, 425, 12095, 11, url .. "Encounter/546"},
    {CwT, 425, 12095, 10, url .. "Encounter/549"},
    {CwT, 425, 12095, 9, url .. "Encounter/547"},
    {CwT, 425, 12095, 8, url .. "Encounter/550"},
    {CwT, 425, 12095, 7, url .. "Encounter/545"},
    {CwT, 425, 12095, 6, url .. "Encounter/542"},
    {CwT, 425, 12095, 5, url .. "Encounter/540"},
    {CwT, 425, 12095, 4, url .. "Encounter/538"},
    {CwT, 425, 12095, 3, url .. "Encounter/539"},
    {CwT, 425, 12095, 2, url .. "Encounter/541"},
    {CwT, 425, 12095, 1, url .. "Encounter/543"},
    {T, 425, 12100, 6, url .. "Encounter/531"},
    {CwT, 406, 12094, 18, url .. "Encounter/618"},
    {CwT, 406, 12094, 17, url .. "Encounter/615"},
    {CwT, 406, 12094, 16, url .. "Encounter/616"},
    {CwT, 406, 12094, 15, url .. "Encounter/620"},
    {CwT, 406, 12094, 14, url .. "Encounter/617"},
    {CwT, 406, 12094, 13, url .. "Encounter/619"},
    {CwT, 406, 12094, 12, url .. "Encounter/632"},
    {CwT, 406, 12094, 11, url .. "Encounter/630"},
    {CwT, 406, 12094, 10, url .. "Encounter/633"},
    {CwT, 406, 12094, 9, url .. "Encounter/631"},
    {CwT, 406, 12094, 8, url .. "Encounter/634"},
    {CwT, 406, 12094, 7, url .. "Encounter/629"},
    {CwT, 406, 12094, 6, url .. "Encounter/626"},
    {CwT, 406, 12094, 5, url .. "Encounter/624"},
    {CwT, 406, 12094, 4, url .. "Encounter/622"},
    {CwT, 406, 12094, 3, url .. "Encounter/623"},
    {CwT, 406, 12094, 2, url .. "Encounter/625"},
    {CwT, 406, 12094, 1, url .. "Encounter/627"},
    {T, 406, 12100, 5, url .. "Encounter/615"},
    {CwT, 387, 12093, 18, url .. "Encounter/513"},
    {CwT, 387, 12093, 17, url .. "Encounter/510"},
    {CwT, 387, 12093, 16, url .. "Encounter/511"},
    {CwT, 387, 12093, 15, url .. "Encounter/515"},
    {CwT, 387, 12093, 14, url .. "Encounter/512"},
    {CwT, 387, 12093, 13, url .. "Encounter/514"},
    {CwT, 387, 12093, 12, url .. "Encounter/527"},
    {CwT, 387, 12093, 11, url .. "Encounter/525"},
    {CwT, 387, 12093, 10, url .. "Encounter/528"},
    {CwT, 387, 12093, 9, url .. "Encounter/526"},
    {CwT, 387, 12093, 8, url .. "Encounter/529"},
    {CwT, 387, 12093, 7, url .. "Encounter/524"},
    {CwT, 387, 12093, 6, url .. "Encounter/521"},
    {CwT, 387, 12093, 5, url .. "Encounter/519"},
    {CwT, 387, 12093, 4, url .. "Encounter/517"},
    {CwT, 387, 12093, 3, url .. "Encounter/518"},
    {CwT, 387, 12093, 2, url .. "Encounter/520"},
    {CwT, 387, 12093, 1, url .. "Encounter/522"},
    {T, 387, 12100, 4, url .. "Encounter/510"},
    {CwT, 368, 12092, 18, url .. "Encounter/576"},
    {CwT, 368, 12092, 17, url .. "Encounter/573"},
    {CwT, 368, 12092, 16, url .. "Encounter/574"},
    {CwT, 368, 12092, 15, url .. "Encounter/578"},
    {CwT, 368, 12092, 14, url .. "Encounter/575"},
    {CwT, 368, 12092, 13, url .. "Encounter/577"},
    {CwT, 368, 12092, 12, url .. "Encounter/590"},
    {CwT, 368, 12092, 11, url .. "Encounter/588"},
    {CwT, 368, 12092, 10, url .. "Encounter/591"},
    {CwT, 368, 12092, 9, url .. "Encounter/589"},
    {CwT, 368, 12092, 8, url .. "Encounter/592"},
    {CwT, 368, 12092, 7, url .. "Encounter/587"},
    {CwT, 368, 12092, 6, url .. "Encounter/584"},
    {CwT, 368, 12092, 5, url .. "Encounter/582"},
    {CwT, 368, 12092, 4, url .. "Encounter/580"},
    {CwT, 368, 12092, 3, url .. "Encounter/581"},
    {CwT, 368, 12092, 2, url .. "Encounter/583"},
    {CwT, 368, 12092, 1, url .. "Encounter/585"},
    {T, 368, 12100, 3, url .. "Encounter/573"},
    {CwT, 349, 12091, 18, url .. "Encounter/639"},
    {CwT, 349, 12091, 17, url .. "Encounter/636"},
    {CwT, 349, 12091, 16, url .. "Encounter/637"},
    {CwT, 349, 12091, 15, url .. "Encounter/641"},
    {CwT, 349, 12091, 14, url .. "Encounter/638"},
    {CwT, 349, 12091, 13, url .. "Encounter/640"},
    {CwT, 349, 12091, 12, url .. "Encounter/653"},
    {CwT, 349, 12091, 11, url .. "Encounter/651"},
    {CwT, 349, 12091, 10, url .. "Encounter/654"},
    {CwT, 349, 12091, 9, url .. "Encounter/652"},
    {CwT, 349, 12091, 8, url .. "Encounter/655"},
    {CwT, 349, 12091, 7, url .. "Encounter/650"},
    {CwT, 349, 12091, 6, url .. "Encounter/647"},
    {CwT, 349, 12091, 5, url .. "Encounter/645"},
    {CwT, 349, 12091, 4, url .. "Encounter/643"},
    {CwT, 349, 12091, 3, url .. "Encounter/644"},
    {CwT, 349, 12091, 2, url .. "Encounter/646"},
    {CwT, 349, 12091, 1, url .. "Encounter/648"},
    {T, 349, 12100, 2, url .. "Encounter/636"},
    {CwT, 330, 12089, 18, url .. "Encounter/660"},
    {CwT, 330, 12089, 17, url .. "Encounter/657"},
    {CwT, 330, 12089, 16, url .. "Encounter/658"},
    {CwT, 330, 12089, 15, url .. "Encounter/662"},
    {CwT, 330, 12089, 14, url .. "Encounter/659"},
    {CwT, 330, 12089, 13, url .. "Encounter/661"},
    {CwT, 330, 12089, 12, url .. "Encounter/674"},
    {CwT, 330, 12089, 11, url .. "Encounter/672"},
    {CwT, 330, 12089, 10, url .. "Encounter/675"},
    {CwT, 330, 12089, 9, url .. "Encounter/673"},
    {CwT, 330, 12089, 8, url .. "Encounter/676"},
    {CwT, 330, 12089, 7, url .. "Encounter/671"},
    {CwT, 330, 12089, 6, url .. "Encounter/668"},
    {CwT, 330, 12089, 5, url .. "Encounter/666"},
    {CwT, 330, 12089, 4, url .. "Encounter/664"},
    {CwT, 330, 12089, 3, url .. "Encounter/665"},
    {CwT, 330, 12089, 2, url .. "Encounter/667"},
    {CwT, 330, 12089, 1, url .. "Encounter/669"},
    {T, 330, 12100, 1, url .. "Encounter/657"},
    {N, 12100, addon.L["Xu-Fu's Pet Guides"], url .. "Section/42"}, -- Family Fighter
    {C, 12099, 18, url .. "Encounter/555"},
    {C, 12099, 17, url .. "Encounter/552"},
    {C, 12099, 16, url .. "Encounter/553"},
    {C, 12099, 15, url .. "Encounter/557"},
    {C, 12099, 14, url .. "Encounter/554"},
    {C, 12099, 13, url .. "Encounter/556"},
    {C, 12099, 12, url .. "Encounter/569"},
    {C, 12099, 11, url .. "Encounter/567"},
    {C, 12099, 10, url .. "Encounter/570"},
    {C, 12099, 9, url .. "Encounter/568"},
    {C, 12099, 8, url .. "Encounter/571"},
    {C, 12099, 7, url .. "Encounter/566"},
    {C, 12099, 6, url .. "Encounter/563"},
    {C, 12099, 5, url .. "Encounter/561"},
    {C, 12099, 4, url .. "Encounter/559"},
    {C, 12099, 3, url .. "Encounter/560"},
    {C, 12099, 2, url .. "Encounter/562"},
    {C, 12099, 1, url .. "Encounter/564"},
    {N, 12099, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/552"}, -- Unstoppable Undead
    {C, 12098, 18, url .. "Encounter/681"},
    {C, 12098, 17, url .. "Encounter/678"},
    {C, 12098, 16, url .. "Encounter/679"},
    {C, 12098, 15, url .. "Encounter/683"},
    {C, 12098, 14, url .. "Encounter/680"},
    {C, 12098, 13, url .. "Encounter/682"},
    {C, 12098, 12, url .. "Encounter/695"},
    {C, 12098, 11, url .. "Encounter/693"},
    {C, 12098, 10, url .. "Encounter/696"},
    {C, 12098, 9, url .. "Encounter/694"},
    {C, 12098, 8, url .. "Encounter/697"},
    {C, 12098, 7, url .. "Encounter/692"},
    {C, 12098, 6, url .. "Encounter/689"},
    {C, 12098, 5, url .. "Encounter/687"},
    {C, 12098, 4, url .. "Encounter/685"},
    {C, 12098, 3, url .. "Encounter/686"},
    {C, 12098, 2, url .. "Encounter/688"},
    {C, 12098, 1, url .. "Encounter/690"},
    {N, 12098, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/678"}, -- Mechanical Melee
    {C, 12097, 18, url .. "Encounter/597"},
    {C, 12097, 17, url .. "Encounter/594"},
    {C, 12097, 16, url .. "Encounter/595"},
    {C, 12097, 15, url .. "Encounter/599"},
    {C, 12097, 14, url .. "Encounter/596"},
    {C, 12097, 13, url .. "Encounter/598"},
    {C, 12097, 12, url .. "Encounter/611"},
    {C, 12097, 11, url .. "Encounter/609"},
    {C, 12097, 10, url .. "Encounter/612"},
    {C, 12097, 9, url .. "Encounter/610"},
    {C, 12097, 8, url .. "Encounter/613"},
    {C, 12097, 7, url .. "Encounter/608"},
    {C, 12097, 6, url .. "Encounter/605"},
    {C, 12097, 5, url .. "Encounter/603"},
    {C, 12097, 4, url .. "Encounter/601"},
    {C, 12097, 3, url .. "Encounter/602"},
    {C, 12097, 2, url .. "Encounter/604"},
    {C, 12097, 1, url .. "Encounter/606"},
    {N, 12097, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/594"}, -- Magical Mayhem
    {C, 12096, 18, url .. "Encounter/492"},
    {C, 12096, 17, url .. "Encounter/489"},
    {C, 12096, 16, url .. "Encounter/490"},
    {C, 12096, 15, url .. "Encounter/494"},
    {C, 12096, 14, url .. "Encounter/491"},
    {C, 12096, 13, url .. "Encounter/493"},
    {C, 12096, 12, url .. "Encounter/506"},
    {C, 12096, 11, url .. "Encounter/504"},
    {C, 12096, 10, url .. "Encounter/507"},
    {C, 12096, 9, url .. "Encounter/505"},
    {C, 12096, 8, url .. "Encounter/508"},
    {C, 12096, 7, url .. "Encounter/503"},
    {C, 12096, 6, url .. "Encounter/500"},
    {C, 12096, 5, url .. "Encounter/498"},
    {C, 12096, 4, url .. "Encounter/496"},
    {C, 12096, 3, url .. "Encounter/497"},
    {C, 12096, 2, url .. "Encounter/499"},
    {C, 12096, 1, url .. "Encounter/501"},
    {N, 12096, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/489"}, -- Humanoid Havoc
    {C, 12095, 18, url .. "Encounter/534"},
    {C, 12095, 17, url .. "Encounter/531"},
    {C, 12095, 16, url .. "Encounter/532"},
    {C, 12095, 15, url .. "Encounter/536"},
    {C, 12095, 14, url .. "Encounter/533"},
    {C, 12095, 13, url .. "Encounter/535"},
    {C, 12095, 12, url .. "Encounter/548"},
    {C, 12095, 11, url .. "Encounter/546"},
    {C, 12095, 10, url .. "Encounter/549"},
    {C, 12095, 9, url .. "Encounter/547"},
    {C, 12095, 8, url .. "Encounter/550"},
    {C, 12095, 7, url .. "Encounter/545"},
    {C, 12095, 6, url .. "Encounter/542"},
    {C, 12095, 5, url .. "Encounter/540"},
    {C, 12095, 4, url .. "Encounter/538"},
    {C, 12095, 3, url .. "Encounter/539"},
    {C, 12095, 2, url .. "Encounter/541"},
    {C, 12095, 1, url .. "Encounter/543"},
    {N, 12095, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/531"}, -- Fierce Fliers
    {C, 12094, 18, url .. "Encounter/618"},
    {C, 12094, 17, url .. "Encounter/615"},
    {C, 12094, 16, url .. "Encounter/616"},
    {C, 12094, 15, url .. "Encounter/620"},
    {C, 12094, 14, url .. "Encounter/617"},
    {C, 12094, 13, url .. "Encounter/619"},
    {C, 12094, 12, url .. "Encounter/632"},
    {C, 12094, 11, url .. "Encounter/630"},
    {C, 12094, 10, url .. "Encounter/633"},
    {C, 12094, 9, url .. "Encounter/631"},
    {C, 12094, 8, url .. "Encounter/634"},
    {C, 12094, 7, url .. "Encounter/629"},
    {C, 12094, 6, url .. "Encounter/626"},
    {C, 12094, 5, url .. "Encounter/624"},
    {C, 12094, 4, url .. "Encounter/622"},
    {C, 12094, 3, url .. "Encounter/623"},
    {C, 12094, 2, url .. "Encounter/625"},
    {C, 12094, 1, url .. "Encounter/627"},
    {N, 12094, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/615"}, -- Elemental Escalation
    {C, 12093, 18, url .. "Encounter/513"},
    {C, 12093, 17, url .. "Encounter/510"},
    {C, 12093, 16, url .. "Encounter/511"},
    {C, 12093, 15, url .. "Encounter/515"},
    {C, 12093, 14, url .. "Encounter/512"},
    {C, 12093, 13, url .. "Encounter/514"},
    {C, 12093, 12, url .. "Encounter/527"},
    {C, 12093, 11, url .. "Encounter/525"},
    {C, 12093, 10, url .. "Encounter/528"},
    {C, 12093, 9, url .. "Encounter/526"},
    {C, 12093, 8, url .. "Encounter/529"},
    {C, 12093, 7, url .. "Encounter/524"},
    {C, 12093, 6, url .. "Encounter/521"},
    {C, 12093, 5, url .. "Encounter/519"},
    {C, 12093, 4, url .. "Encounter/517"},
    {C, 12093, 3, url .. "Encounter/518"},
    {C, 12093, 2, url .. "Encounter/520"},
    {C, 12093, 1, url .. "Encounter/522"},
    {N, 12093, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/510"}, -- Draconic Destruction
    {C, 12092, 18, url .. "Encounter/576"},
    {C, 12092, 17, url .. "Encounter/573"},
    {C, 12092, 16, url .. "Encounter/574"},
    {C, 12092, 15, url .. "Encounter/578"},
    {C, 12092, 14, url .. "Encounter/575"},
    {C, 12092, 13, url .. "Encounter/577"},
    {C, 12092, 12, url .. "Encounter/590"},
    {C, 12092, 11, url .. "Encounter/588"},
    {C, 12092, 10, url .. "Encounter/591"},
    {C, 12092, 9, url .. "Encounter/589"},
    {C, 12092, 8, url .. "Encounter/592"},
    {C, 12092, 7, url .. "Encounter/587"},
    {C, 12092, 6, url .. "Encounter/584"},
    {C, 12092, 5, url .. "Encounter/582"},
    {C, 12092, 4, url .. "Encounter/580"},
    {C, 12092, 3, url .. "Encounter/581"},
    {C, 12092, 2, url .. "Encounter/583"},
    {C, 12092, 1, url .. "Encounter/585"},
    {N, 12092, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/573"}, -- Critical Critters
    {C, 12091, 18, url .. "Encounter/639"},
    {C, 12091, 17, url .. "Encounter/636"},
    {C, 12091, 16, url .. "Encounter/637"},
    {C, 12091, 15, url .. "Encounter/641"},
    {C, 12091, 14, url .. "Encounter/638"},
    {C, 12091, 13, url .. "Encounter/640"},
    {C, 12091, 12, url .. "Encounter/653"},
    {C, 12091, 11, url .. "Encounter/651"},
    {C, 12091, 10, url .. "Encounter/654"},
    {C, 12091, 9, url .. "Encounter/652"},
    {C, 12091, 8, url .. "Encounter/655"},
    {C, 12091, 7, url .. "Encounter/650"},
    {C, 12091, 6, url .. "Encounter/647"},
    {C, 12091, 5, url .. "Encounter/645"},
    {C, 12091, 4, url .. "Encounter/643"},
    {C, 12091, 3, url .. "Encounter/644"},
    {C, 12091, 2, url .. "Encounter/646"},
    {C, 12091, 1, url .. "Encounter/648"},
    {N, 12091, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/636"}, -- Beast Blitz
    {C, 12089, 18, url .. "Encounter/660"},
    {C, 12089, 17, url .. "Encounter/657"},
    {C, 12089, 16, url .. "Encounter/658"},
    {C, 12089, 15, url .. "Encounter/662"},
    {C, 12089, 14, url .. "Encounter/659"},
    {C, 12089, 13, url .. "Encounter/661"},
    {C, 12089, 12, url .. "Encounter/674"},
    {C, 12089, 11, url .. "Encounter/672"},
    {C, 12089, 10, url .. "Encounter/675"},
    {C, 12089, 9, url .. "Encounter/673"},
    {C, 12089, 8, url .. "Encounter/676"},
    {C, 12089, 7, url .. "Encounter/671"},
    {C, 12089, 6, url .. "Encounter/668"},
    {C, 12089, 5, url .. "Encounter/666"},
    {C, 12089, 4, url .. "Encounter/664"},
    {C, 12089, 3, url .. "Encounter/665"},
    {C, 12089, 2, url .. "Encounter/667"},
    {C, 12089, 1, url .. "Encounter/669"},
    {N, 12089, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/657"}, -- Aquatic Assault
    {C, 12088, 18, url .. "Encounter/471"},
    {C, 12088, 17, url .. "Encounter/468"},
    {C, 12088, 16, url .. "Encounter/469"},
    {C, 12088, 15, url .. "Encounter/473"},
    {C, 12088, 14, url .. "Encounter/470"},
    {C, 12088, 13, url .. "Encounter/472"},
    {C, 12088, 12, url .. "Encounter/485"},
    {C, 12088, 11, url .. "Encounter/483"},
    {C, 12088, 10, url .. "Encounter/486"},
    {C, 12088, 9, url .. "Encounter/484"},
    {C, 12088, 8, url .. "Encounter/487"},
    {C, 12088, 7, url .. "Encounter/482"},
    {C, 12088, 6, url .. "Encounter/479"},
    {C, 12088, 5, url .. "Encounter/477"},
    {C, 12088, 4, url .. "Encounter/475"},
    {C, 12088, 3, url .. "Encounter/476"},
    {C, 12088, 2, url .. "Encounter/478"},
    {C, 12088, 1, url .. "Encounter/480"},
    {N, 12088, addon.L["Xu-Fu's Pet Guides"], url .. "Section/42"}, -- Anomalous Animals of Argus
    {C, 10876, 37, url .. "Encounter/165"},
    {C, 10876, 35, url .. "Encounter/163"},
    {C, 10876, 34, url .. "Encounter/162"},
    {C, 10876, 33, url .. "Encounter/161"},
    {C, 10876, 32, url .. "Encounter/160"},
    {C, 10876, 31, url .. "Encounter/186"},
    {C, 10876, 30, url .. "Encounter/185"},
    {C, 10876, 29, url .. "Encounter/184"},
    {C, 10876, 28, url .. "Encounter/183"},
    {C, 10876, 27, url .. "Encounter/182"},
    {C, 10876, 26, url .. "Encounter/181"},
    {EwT, 296, addon.L["Rydyr"], url .. "Encounter/338"},
    {EwT, 296, addon.L["Andurs"], url .. "Encounter/337"},
    {T, 296, 10876, 25, url .. "Encounter/337"},
    {C, 10876, 24, url .. "Encounter/178"},
    {C, 10876, 23, url .. "Encounter/177"},
    {C, 10876, 22, url .. "Encounter/176"},
    {C, 10876, 21, url .. "Encounter/175"},
    {C, 10876, 20, url .. "Encounter/174"},
    {C, 10876, 19, url .. "Encounter/172"},
    {C, 10876, 18, url .. "Encounter/171"},
    {C, 10876, 17, url .. "Encounter/170"},
    {C, 10876, 16, url .. "Encounter/169"},
    {C, 10876, 15, url .. "Encounter/168"},
    {C, 10876, 14, url .. "Encounter/167"},
    {C, 10876, 13, url .. "Encounter/151"},
    {C, 10876, 12, url .. "Encounter/150"},
    {C, 10876, 11, url .. "Encounter/149"},
    {C, 10876, 10, url .. "Encounter/148"},
    {C, 10876, 9, url .. "Encounter/147"},
    {C, 10876, 8, url .. "Encounter/146"},
    {C, 10876, 7, url .. "Encounter/145"},
    {C, 10876, 6, url .. "Encounter/158"},
    {C, 10876, 5, url .. "Encounter/157"},
    {C, 10876, 4, url .. "Encounter/156"},
    {C, 10876, 3, url .. "Encounter/155"},
    {C, 10876, 1, url .. "Encounter/153"},
    {N, 10876, addon.L["Xu-Fu's Pet Guides"], url .. "Section/16"}, -- Battle on the Broken Isles
    {C, 10052, 15, url .. "Encounter/53"},
    {C, 10052, 14, url .. "Encounter/54"},
    {C, 10052, 13, url .. "Encounter/55"},
    {C, 10052, 12, url .. "Encounter/56"},
    {C, 10052, 11, url .. "Encounter/57"},
    {C, 10052, 10, url .. "Encounter/58"},
    {C, 10052, 9, url .. "Encounter/59"},
    {C, 10052, 8, url .. "Encounter/60"},
    {C, 10052, 7, url .. "Encounter/61"},
    {C, 10052, 6, url .. "Encounter/62"},
    {C, 10052, 5, url .. "Encounter/63"},
    {C, 10052, 4, url .. "Encounter/64"},
    {C, 10052, 3, url .. "Encounter/67"},
    {C, 10052, 2, url .. "Encounter/65"},
    {C, 10052, 1, url .. "Encounter/66"},
    {N, 10052, addon.L["Xu-Fu's Pet Guides"], url .. "Section/9"}, -- Tiny Terrors in Tanaan
    {C, 9724, 6, url .. "Encounter/21"},
    {C, 9724, 5, url .. "Encounter/20"},
    {C, 9724, 4, url .. "Encounter/19"},
    {C, 9724, 3, url .. "Encounter/18"},
    {C, 9724, 2, url .. "Encounter/17"},
    {C, 9724, 1, url .. "Encounter/16"},
    {N, 9724, addon.L["Xu-Fu's Pet Guides"], url .. "Section/5"}, -- Taming Draenor
    {CwT, 231, 9695, 15, url .. "Encounter/327"},
    {CwT, 231, 9695, 14, url .. "Encounter/328"},
    {CwT, 231, 9695, 13, url .. "Encounter/336"},
    {CwT, 231, 9695, 12, url .. "Encounter/335"},
    {CwT, 231, 9695, 11, url .. "Encounter/334"},
    {CwT, 231, 9695, 10, url .. "Encounter/333"},
    {CwT, 231, 9695, 9, url .. "Encounter/332"},
    {CwT, 231, 9695, 8, url .. "Encounter/330"},
    {CwT, 231, 9695, 7, url .. "Encounter/331"},
    {CwT, 231, 9695, 6, url .. "Encounter/329"},
    {CwT, 231, 9695, 5, url .. "Encounter/324"},
    {CwT, 231, 9695, 4, url .. "Encounter/322"},
    {CwT, 231, 9695, 3, url .. "Encounter/325"},
    {CwT, 231, 9695, 2, url .. "Encounter/323"},
    {CwT, 231, 9695, 1, url .. "Encounter/326"},
    {T, 231, 9696, 10, url .. "Encounter/322"},
    {CwT, 215, 9694, 15, url .. "Encounter/312"},
    {CwT, 215, 9694, 14, url .. "Encounter/313"},
    {CwT, 215, 9694, 13, url .. "Encounter/321"},
    {CwT, 215, 9694, 12, url .. "Encounter/320"},
    {CwT, 215, 9694, 11, url .. "Encounter/319"},
    {CwT, 215, 9694, 10, url .. "Encounter/318"},
    {CwT, 215, 9694, 9, url .. "Encounter/317"},
    {CwT, 215, 9694, 8, url .. "Encounter/315"},
    {CwT, 215, 9694, 7, url .. "Encounter/316"},
    {CwT, 215, 9694, 6, url .. "Encounter/314"},
    {CwT, 215, 9694, 5, url .. "Encounter/309"},
    {CwT, 215, 9694, 4, url .. "Encounter/307"},
    {CwT, 215, 9694, 3, url .. "Encounter/310"},
    {CwT, 215, 9694, 2, url .. "Encounter/308"},
    {CwT, 215, 9694, 1, url .. "Encounter/311"},
    {T, 215, 9696, 9, url .. "Encounter/307"},
    {CwT, 199, 9693, 15, url .. "Encounter/297"},
    {CwT, 199, 9693, 14, url .. "Encounter/298"},
    {CwT, 199, 9693, 13, url .. "Encounter/306"},
    {CwT, 199, 9693, 12, url .. "Encounter/305"},
    {CwT, 199, 9693, 11, url .. "Encounter/304"},
    {CwT, 199, 9693, 10, url .. "Encounter/303"},
    {CwT, 199, 9693, 9, url .. "Encounter/302"},
    {CwT, 199, 9693, 8, url .. "Encounter/300"},
    {CwT, 199, 9693, 7, url .. "Encounter/301"},
    {CwT, 199, 9693, 6, url .. "Encounter/299"},
    {CwT, 199, 9693, 5, url .. "Encounter/294"},
    {CwT, 199, 9693, 4, url .. "Encounter/292"},
    {CwT, 199, 9693, 3, url .. "Encounter/295"},
    {CwT, 199, 9693, 2, url .. "Encounter/293"},
    {CwT, 199, 9693, 1, url .. "Encounter/296"},
    {T, 199, 9696, 8, url .. "Encounter/292"},
    {CwT, 183, 9692, 15, url .. "Encounter/282"},
    {CwT, 183, 9692, 14, url .. "Encounter/283"},
    {CwT, 183, 9692, 13, url .. "Encounter/291"},
    {CwT, 183, 9692, 12, url .. "Encounter/290"},
    {CwT, 183, 9692, 11, url .. "Encounter/289"},
    {CwT, 183, 9692, 10, url .. "Encounter/288"},
    {CwT, 183, 9692, 9, url .. "Encounter/287"},
    {CwT, 183, 9692, 8, url .. "Encounter/285"},
    {CwT, 183, 9692, 7, url .. "Encounter/286"},
    {CwT, 183, 9692, 6, url .. "Encounter/284"},
    {CwT, 183, 9692, 5, url .. "Encounter/279"},
    {CwT, 183, 9692, 4, url .. "Encounter/277"},
    {CwT, 183, 9692, 3, url .. "Encounter/280"},
    {CwT, 183, 9692, 2, url .. "Encounter/278"},
    {CwT, 183, 9692, 1, url .. "Encounter/281"},
    {T, 183, 9696, 7, url .. "Encounter/277"},
    {CwT, 167, 9691, 15, url .. "Encounter/267"},
    {CwT, 167, 9691, 14, url .. "Encounter/268"},
    {CwT, 167, 9691, 13, url .. "Encounter/276"},
    {CwT, 167, 9691, 12, url .. "Encounter/275"},
    {CwT, 167, 9691, 11, url .. "Encounter/274"},
    {CwT, 167, 9691, 10, url .. "Encounter/273"},
    {CwT, 167, 9691, 9, url .. "Encounter/272"},
    {CwT, 167, 9691, 8, url .. "Encounter/270"},
    {CwT, 167, 9691, 7, url .. "Encounter/271"},
    {CwT, 167, 9691, 6, url .. "Encounter/269"},
    {CwT, 167, 9691, 5, url .. "Encounter/264"},
    {CwT, 167, 9691, 4, url .. "Encounter/262"},
    {CwT, 167, 9691, 3, url .. "Encounter/265"},
    {CwT, 167, 9691, 2, url .. "Encounter/263"},
    {CwT, 167, 9691, 1, url .. "Encounter/266"},
    {T, 167, 9696, 6, url .. "Encounter/262"},
    {CwT, 151, 9690, 15, url .. "Encounter/252"},
    {CwT, 151, 9690, 14, url .. "Encounter/253"},
    {CwT, 151, 9690, 13, url .. "Encounter/261"},
    {CwT, 151, 9690, 12, url .. "Encounter/260"},
    {CwT, 151, 9690, 11, url .. "Encounter/259"},
    {CwT, 151, 9690, 10, url .. "Encounter/258"},
    {CwT, 151, 9690, 9, url .. "Encounter/257"},
    {CwT, 151, 9690, 8, url .. "Encounter/255"},
    {CwT, 151, 9690, 7, url .. "Encounter/256"},
    {CwT, 151, 9690, 6, url .. "Encounter/254"},
    {CwT, 151, 9690, 5, url .. "Encounter/249"},
    {CwT, 151, 9690, 4, url .. "Encounter/247"},
    {CwT, 151, 9690, 3, url .. "Encounter/250"},
    {CwT, 151, 9690, 2, url .. "Encounter/248"},
    {CwT, 151, 9690, 1, url .. "Encounter/251"},
    {T, 151, 9696, 5, url .. "Encounter/247"},
    {CwT, 135, 9689, 15, url .. "Encounter/237"},
    {CwT, 135, 9689, 14, url .. "Encounter/238"},
    {CwT, 135, 9689, 13, url .. "Encounter/246"},
    {CwT, 135, 9689, 12, url .. "Encounter/245"},
    {CwT, 135, 9689, 11, url .. "Encounter/244"},
    {CwT, 135, 9689, 10, url .. "Encounter/243"},
    {CwT, 135, 9689, 9, url .. "Encounter/242"},
    {CwT, 135, 9689, 8, url .. "Encounter/240"},
    {CwT, 135, 9689, 7, url .. "Encounter/241"},
    {CwT, 135, 9689, 6, url .. "Encounter/239"},
    {CwT, 135, 9689, 5, url .. "Encounter/234"},
    {CwT, 135, 9689, 4, url .. "Encounter/232"},
    {CwT, 135, 9689, 3, url .. "Encounter/235"},
    {CwT, 135, 9689, 2, url .. "Encounter/233"},
    {CwT, 135, 9689, 1, url .. "Encounter/236"},
    {T, 135, 9696, 4, url .. "Encounter/232"},
    {CwT, 119, 9688, 15, url .. "Encounter/222"},
    {CwT, 119, 9688, 14, url .. "Encounter/223"},
    {CwT, 119, 9688, 13, url .. "Encounter/231"},
    {CwT, 119, 9688, 12, url .. "Encounter/230"},
    {CwT, 119, 9688, 11, url .. "Encounter/229"},
    {CwT, 119, 9688, 10, url .. "Encounter/228"},
    {CwT, 119, 9688, 9, url .. "Encounter/227"},
    {CwT, 119, 9688, 8, url .. "Encounter/225"},
    {CwT, 119, 9688, 7, url .. "Encounter/226"},
    {CwT, 119, 9688, 6, url .. "Encounter/224"},
    {CwT, 119, 9688, 5, url .. "Encounter/219"},
    {CwT, 119, 9688, 4, url .. "Encounter/217"},
    {CwT, 119, 9688, 3, url .. "Encounter/220"},
    {CwT, 119, 9688, 2, url .. "Encounter/218"},
    {CwT, 119, 9688, 1, url .. "Encounter/221"},
    {T, 119, 9696, 3, url .. "Encounter/217"},
    {CwT, 103, 9687, 15, url .. "Encounter/207"},
    {CwT, 103, 9687, 14, url .. "Encounter/208"},
    {CwT, 103, 9687, 13, url .. "Encounter/216"},
    {CwT, 103, 9687, 12, url .. "Encounter/215"},
    {CwT, 103, 9687, 11, url .. "Encounter/214"},
    {CwT, 103, 9687, 10, url .. "Encounter/213"},
    {CwT, 103, 9687, 9, url .. "Encounter/212"},
    {CwT, 103, 9687, 8, url .. "Encounter/210"},
    {CwT, 103, 9687, 7, url .. "Encounter/211"},
    {CwT, 103, 9687, 6, url .. "Encounter/209"},
    {CwT, 103, 9687, 5, url .. "Encounter/204"},
    {CwT, 103, 9687, 4, url .. "Encounter/202"},
    {CwT, 103, 9687, 3, url .. "Encounter/205"},
    {CwT, 103, 9687, 2, url .. "Encounter/203"},
    {CwT, 103, 9687, 1, url .. "Encounter/206"},
    {T, 103, 9696, 2, url .. "Encounter/202"},
    {CwT, 87, 9686, 15, url .. "Encounter/192"},
    {CwT, 87, 9686, 14, url .. "Encounter/193"},
    {CwT, 87, 9686, 13, url .. "Encounter/201"},
    {CwT, 87, 9686, 12, url .. "Encounter/200"},
    {CwT, 87, 9686, 11, url .. "Encounter/199"},
    {CwT, 87, 9686, 10, url .. "Encounter/198"},
    {CwT, 87, 9686, 9, url .. "Encounter/197"},
    {CwT, 87, 9686, 8, url .. "Encounter/195"},
    {CwT, 87, 9686, 7, url .. "Encounter/196"},
    {CwT, 87, 9686, 6, url .. "Encounter/194"},
    {CwT, 87, 9686, 5, url .. "Encounter/189"},
    {CwT, 87, 9686, 4, url .. "Encounter/187"},
    {CwT, 87, 9686, 3, url .. "Encounter/190"},
    {CwT, 87, 9686, 2, url .. "Encounter/188"},
    {CwT, 87, 9686, 1, url .. "Encounter/191"},
    {T, 87, 9696, 1, url .. "Encounter/187"},
    {N, 9696, addon.L["Xu-Fu's Pet Guides"], url .. "Section/17"}, -- Family Familiar
    {C, 9695, 15, url .. "Encounter/327"},
    {C, 9695, 14, url .. "Encounter/328"},
    {C, 9695, 13, url .. "Encounter/336"},
    {C, 9695, 12, url .. "Encounter/335"},
    {C, 9695, 11, url .. "Encounter/334"},
    {C, 9695, 10, url .. "Encounter/333"},
    {C, 9695, 9, url .. "Encounter/332"},
    {C, 9695, 8, url .. "Encounter/330"},
    {C, 9695, 7, url .. "Encounter/331"},
    {C, 9695, 6, url .. "Encounter/329"},
    {C, 9695, 5, url .. "Encounter/324"},
    {C, 9695, 4, url .. "Encounter/322"},
    {C, 9695, 3, url .. "Encounter/325"},
    {C, 9695, 2, url .. "Encounter/323"},
    {C, 9695, 1, url .. "Encounter/326"},
    {N, 9695, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/322"}, -- The Lil' Necromancer
    {C, 9694, 15, url .. "Encounter/312"},
    {C, 9694, 14, url .. "Encounter/313"},
    {C, 9694, 13, url .. "Encounter/321"},
    {C, 9694, 12, url .. "Encounter/320"},
    {C, 9694, 11, url .. "Encounter/319"},
    {C, 9694, 10, url .. "Encounter/318"},
    {C, 9694, 9, url .. "Encounter/317"},
    {C, 9694, 8, url .. "Encounter/315"},
    {C, 9694, 7, url .. "Encounter/316"},
    {C, 9694, 6, url .. "Encounter/314"},
    {C, 9694, 5, url .. "Encounter/309"},
    {C, 9694, 4, url .. "Encounter/307"},
    {C, 9694, 3, url .. "Encounter/310"},
    {C, 9694, 2, url .. "Encounter/308"},
    {C, 9694, 1, url .. "Encounter/311"},
    {N, 9694, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/307"}, -- Roboteer
    {C, 9693, 15, url .. "Encounter/297"},
    {C, 9693, 14, url .. "Encounter/298"},
    {C, 9693, 13, url .. "Encounter/306"},
    {C, 9693, 12, url .. "Encounter/305"},
    {C, 9693, 11, url .. "Encounter/304"},
    {C, 9693, 10, url .. "Encounter/303"},
    {C, 9693, 9, url .. "Encounter/302"},
    {C, 9693, 8, url .. "Encounter/300"},
    {C, 9693, 7, url .. "Encounter/301"},
    {C, 9693, 6, url .. "Encounter/299"},
    {C, 9693, 5, url .. "Encounter/294"},
    {C, 9693, 4, url .. "Encounter/292"},
    {C, 9693, 3, url .. "Encounter/295"},
    {C, 9693, 2, url .. "Encounter/293"},
    {C, 9693, 1, url .. "Encounter/296"},
    {N, 9693, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/292"}, -- Master of Magic
    {C, 9692, 15, url .. "Encounter/282"},
    {C, 9692, 14, url .. "Encounter/283"},
    {C, 9692, 13, url .. "Encounter/291"},
    {C, 9692, 12, url .. "Encounter/290"},
    {C, 9692, 11, url .. "Encounter/289"},
    {C, 9692, 10, url .. "Encounter/288"},
    {C, 9692, 9, url .. "Encounter/287"},
    {C, 9692, 8, url .. "Encounter/285"},
    {C, 9692, 7, url .. "Encounter/286"},
    {C, 9692, 6, url .. "Encounter/284"},
    {C, 9692, 5, url .. "Encounter/279"},
    {C, 9692, 4, url .. "Encounter/277"},
    {C, 9692, 3, url .. "Encounter/280"},
    {C, 9692, 2, url .. "Encounter/278"},
    {C, 9692, 1, url .. "Encounter/281"},
    {N, 9692, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/277"}, -- Murlocs, Harpies, and Wolvar, Oh My!
    {C, 9691, 15, url .. "Encounter/267"},
    {C, 9691, 14, url .. "Encounter/268"},
    {C, 9691, 13, url .. "Encounter/276"},
    {C, 9691, 12, url .. "Encounter/275"},
    {C, 9691, 11, url .. "Encounter/274"},
    {C, 9691, 10, url .. "Encounter/273"},
    {C, 9691, 9, url .. "Encounter/272"},
    {C, 9691, 8, url .. "Encounter/270"},
    {C, 9691, 7, url .. "Encounter/271"},
    {C, 9691, 6, url .. "Encounter/269"},
    {C, 9691, 5, url .. "Encounter/264"},
    {C, 9691, 4, url .. "Encounter/262"},
    {C, 9691, 3, url .. "Encounter/265"},
    {C, 9691, 2, url .. "Encounter/263"},
    {C, 9691, 1, url .. "Encounter/266"},
    {N, 9691, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/262"}, -- Flock Together
    {C, 9690, 15, url .. "Encounter/252"},
    {C, 9690, 14, url .. "Encounter/253"},
    {C, 9690, 13, url .. "Encounter/261"},
    {C, 9690, 12, url .. "Encounter/260"},
    {C, 9690, 11, url .. "Encounter/259"},
    {C, 9690, 10, url .. "Encounter/258"},
    {C, 9690, 9, url .. "Encounter/257"},
    {C, 9690, 8, url .. "Encounter/255"},
    {C, 9690, 7, url .. "Encounter/256"},
    {C, 9690, 6, url .. "Encounter/254"},
    {C, 9690, 5, url .. "Encounter/249"},
    {C, 9690, 4, url .. "Encounter/247"},
    {C, 9690, 3, url .. "Encounter/250"},
    {C, 9690, 2, url .. "Encounter/248"},
    {C, 9690, 1, url .. "Encounter/251"},
    {N, 9690, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/247"}, -- Ragnaros, Watch and Learn
    {C, 9689, 15, url .. "Encounter/237"},
    {C, 9689, 14, url .. "Encounter/238"},
    {C, 9689, 13, url .. "Encounter/246"},
    {C, 9689, 12, url .. "Encounter/245"},
    {C, 9689, 11, url .. "Encounter/244"},
    {C, 9689, 10, url .. "Encounter/243"},
    {C, 9689, 9, url .. "Encounter/242"},
    {C, 9689, 8, url .. "Encounter/240"},
    {C, 9689, 7, url .. "Encounter/241"},
    {C, 9689, 6, url .. "Encounter/239"},
    {C, 9689, 5, url .. "Encounter/234"},
    {C, 9689, 4, url .. "Encounter/232"},
    {C, 9689, 3, url .. "Encounter/235"},
    {C, 9689, 2, url .. "Encounter/233"},
    {C, 9689, 1, url .. "Encounter/236"},
    {N, 9689, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/232"}, -- Dragons!
    {C, 9688, 15, url .. "Encounter/222"},
    {C, 9688, 14, url .. "Encounter/223"},
    {C, 9688, 13, url .. "Encounter/231"},
    {C, 9688, 12, url .. "Encounter/230"},
    {C, 9688, 11, url .. "Encounter/229"},
    {C, 9688, 10, url .. "Encounter/228"},
    {C, 9688, 9, url .. "Encounter/227"},
    {C, 9688, 8, url .. "Encounter/225"},
    {C, 9688, 7, url .. "Encounter/226"},
    {C, 9688, 6, url .. "Encounter/224"},
    {C, 9688, 5, url .. "Encounter/219"},
    {C, 9688, 4, url .. "Encounter/217"},
    {C, 9688, 3, url .. "Encounter/220"},
    {C, 9688, 2, url .. "Encounter/218"},
    {C, 9688, 1, url .. "Encounter/221"},
    {N, 9688, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/217"}, -- Mousing Around
    {C, 9687, 15, url .. "Encounter/207"},
    {C, 9687, 14, url .. "Encounter/208"},
    {C, 9687, 13, url .. "Encounter/216"},
    {C, 9687, 12, url .. "Encounter/215"},
    {C, 9687, 11, url .. "Encounter/214"},
    {C, 9687, 10, url .. "Encounter/213"},
    {C, 9687, 9, url .. "Encounter/212"},
    {C, 9687, 8, url .. "Encounter/210"},
    {C, 9687, 7, url .. "Encounter/211"},
    {C, 9687, 6, url .. "Encounter/209"},
    {C, 9687, 5, url .. "Encounter/204"},
    {C, 9687, 4, url .. "Encounter/202"},
    {C, 9687, 3, url .. "Encounter/205"},
    {C, 9687, 2, url .. "Encounter/203"},
    {C, 9687, 1, url .. "Encounter/206"},
    {N, 9687, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/202"}, -- Best of the Beasts
    {C, 9686, 15, url .. "Encounter/192"},
    {C, 9686, 14, url .. "Encounter/193"},
    {C, 9686, 13, url .. "Encounter/201"},
    {C, 9686, 12, url .. "Encounter/200"},
    {C, 9686, 11, url .. "Encounter/199"},
    {C, 9686, 10, url .. "Encounter/198"},
    {C, 9686, 9, url .. "Encounter/197"},
    {C, 9686, 8, url .. "Encounter/195"},
    {C, 9686, 7, url .. "Encounter/196"},
    {C, 9686, 6, url .. "Encounter/194"},
    {C, 9686, 5, url .. "Encounter/189"},
    {C, 9686, 4, url .. "Encounter/187"},
    {C, 9686, 3, url .. "Encounter/190"},
    {C, 9686, 2, url .. "Encounter/188"},
    {C, 9686, 1, url .. "Encounter/191"},
    {N, 9686, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/187"}, -- Aquatic Acquiescence
    {C, 9069, 44, url .. "Encounter/81"},
    {C, 9069, 43, url .. "Encounter/85"},
    {C, 9069, 42, url .. "Encounter/114"},
    {C, 9069, 41, url .. "Encounter/108"},
    {C, 9069, 40, url .. "Encounter/97"},
    {C, 9069, 39, url .. "Encounter/104"},
    {C, 9069, 38, url .. "Encounter/96"},
    {C, 9069, 37, url .. "Encounter/80"},
    {C, 9069, 36, url .. "Encounter/95"},
    {C, 9069, 35, url .. "Encounter/88"},
    {C, 9069, 34, url .. "Encounter/134"},
    {C, 9069, 33, url .. "Encounter/84"},
    {C, 9069, 32, url .. "Encounter/107"},
    {C, 9069, 31, url .. "Encounter/128"},
    {C, 9069, 30, url .. "Encounter/121"},
    {C, 9069, 29, url .. "Encounter/136"},
    {C, 9069, 28, url .. "Encounter/129"},
    {C, 9069, 27, url .. "Encounter/120"},
    {C, 9069, 26, url .. "Encounter/127"},
    {C, 9069, 25, url .. "Encounter/126"},
    {C, 9069, 24, url .. "Encounter/110"},
    {C, 9069, 23, url .. "Encounter/124"},
    {C, 9069, 22, url .. "Encounter/138"},
    {C, 9069, 21, url .. "Encounter/90"},
    {C, 9069, 20, url .. "Encounter/116"},
    {C, 9069, 19, url .. "Encounter/113"},
    {C, 9069, 18, url .. "Encounter/123"},
    {C, 9069, 17, url .. "Encounter/139"},
    {C, 9069, 16, url .. "Encounter/94"},
    {C, 9069, 15, url .. "Encounter/109"},
    {C, 9069, 14, url .. "Encounter/111"},
    {C, 9069, 13, url .. "Encounter/89"},
    {C, 9069, 12, url .. "Encounter/93"},
    {C, 9069, 11, url .. "Encounter/105"},
    {C, 9069, 10, url .. "Encounter/117"},
    {C, 9069, 9, url .. "Encounter/82"},
    {C, 9069, 8, url .. "Encounter/106"},
    {C, 9069, 7, url .. "Encounter/135"},
    {C, 9069, 6, url .. "Encounter/132"},
    {C, 9069, 5, url .. "Encounter/130"},
    {C, 9069, 4, url .. "Encounter/86"},
    {C, 9069, 3, url .. "Encounter/122"},
    {C, 9069, 2, url .. "Encounter/92"},
    {C, 9069, 1, url .. "Encounter/112"},
    {N, 9069, addon.L["Xu-Fu's Pet Guides"], url .. "Section/12"}, -- An Awfully Big Adventure
    {C, 8518, 13, url .. "Encounter/50"},
    {C, 8518, 12, url .. "Encounter/52"},
    {C, 8518, 11, url .. "Encounter/51"},
    {C, 8518, 10, url .. "Encounter/49"},
    {C, 8518, 9, url .. "Encounter/46"},
    {C, 8518, 8, url .. "Encounter/37"},
    {C, 8518, 7, url .. "Encounter/45"},
    {C, 8518, 6, url .. "Encounter/43"},
    {C, 8518, 5, url .. "Encounter/41"},
    {C, 8518, 4, url .. "Encounter/39"},
    {C, 8518, 3, url .. "Encounter/47"},
    {C, 8518, 2, url .. "Encounter/38"},
    {C, 8518, 1, url .. "Encounter/42"},
    {N, 8518, addon.L["Xu-Fu's Pet Guides"], url .. "Section/8"}, -- Master of the Masters
    {N, 8410, addon.L["Xu-Fu's Pet Guides"], url .. "Section/8"}, -- The Celestial Tournament
    {E, 8080, addon.L["Nitun"], url .. "Encounter/78"},
    {E, 8080, addon.L["Ka'wi the Gorger"], url .. "Encounter/77"},
    {E, 8080, addon.L["Lucky Yi"] , url .. "Encounter/76"},
    {E, 8080, addon.L["Greyhoof"], url .. "Encounter/75"},
    {E, 8080, addon.L["Skitterer Xi'a"], url .. "Encounter/74"},
    {E, 8080, addon.L["Gorespine"], url .. "Encounter/73"},
    {E, 8080, addon.L["No-No"], url .. "Encounter/72"},
    {E, 8080, addon.L["Ti'un the Wanderer"], url .. "Encounter/71"},
    {E, 8080, addon.L["Kafi"], url .. "Encounter/70"},
    {E, 8080, addon.L["Dos-Ryga"], url .. "Encounter/69"},
    {N, 8080, addon.L["Xu-Fu's Pet Guides"], url .. "Section/10"}, -- Fabled Pandaren Tamer
    {E, 7936, addon.L["Whispering Pandaren Spirit"], url .. "Encounter/25"},
    {E, 7936, addon.L["Thundering Pandaren Spirit"], url .. "Encounter/24"},
    {E, 7936, addon.L["Flowing Pandaren Spirit"], url .. "Encounter/27"},
    {E, 7936, addon.L["Burning Pandaren Spirit"], url .. "Encounter/26"},
    {N, 7936, addon.L["Xu-Fu's Pet Guides"], url .. "Section/6"}, -- Pandaren Spirit Tamer
    {N, 7908, addon.L["Xu-Fu's Pet Guides"], url .. "Encounter/33"}, -- I Choose You
    {C, 6606, 7, url .. "Encounter/33"},
    {C, 6606, 6, url .. "Encounter/34"},
    {C, 6606, 5, url .. "Encounter/35"},
    {C, 6606, 4, url .. "Encounter/32"},
    {C, 6606, 3, url .. "Encounter/68"},
    {C, 6606, 2, url .. "Encounter/31"},
    {C, 6606, 1, url .. "Encounter/36"},
    {N, 6606, addon.L["Xu-Fu's Pet Guides"], url .. "Section/3"}, -- Taming Pandaria
};